import type { Deal, Customer, User, DealCategory, EditableDeal } from './types';
type DealDetailsProps = {
    deal: Partial<Deal>;
    users?: Partial<User>[];
    customer: Partial<Customer> | undefined;
    categories: Partial<DealCategory>[];
    onClose: () => void;
    onSave: (deal: Partial<EditableDeal>) => Promise<{
        success: boolean;
        errors?: Record<string, string>;
    }>;
    onAddComment: (comment: Partial<NonNullable<EditableDeal['comments']>[number]>) => Promise<{
        success: boolean;
        errors?: Record<string, string>;
    }>;
};
export declare function DealDetails({ deal, users, customer, categories, onClose, onSave, onAddComment, }: DealDetailsProps): import("react/jsx-runtime").JSX.Element;
export {};
