import type { Deal, CRMStatus, DealCategory, Customer, User } from './types';
type KanbanColumnProps = {
    status: CRMStatus;
    deals: Deal[];
    users?: User[];
    customers: Customer[];
    categories: DealCategory[];
    onDealClick: (deal: Deal) => void;
    calculateColumnValue: (deals: Deal[]) => number;
    calculateWeightedValue: (deals: Deal[], status: CRMStatus) => number;
    addNewDeal?: (deal: Deal) => Promise<{
        success: boolean;
        errors?: Record<string, string>;
    }>;
    onAddCustomer: (customer: Partial<Customer>) => Promise<{
        success: boolean;
        errors?: Record<string, string>;
    }>;
};
export declare function KanbanColumn({ status, deals, users, customers, categories, onDealClick, calculateColumnValue, calculateWeightedValue, addNewDeal, onAddCustomer, }: KanbanColumnProps): import("react/jsx-runtime").JSX.Element;
export {};
