import type { User, Customer, Deal, DealCategory } from "@/payload-types";
export type { User, Customer, Deal, DealCategory };
export type PartialComment = Partial<NonNullable<Deal['comments']>[number]>;
export type EditableDeal = Omit<Partial<Deal>, 'comments' | 'customer'> & {
    comments?: PartialComment[] | null;
    customer: Partial<Customer>;
};
export type CRMStatus = "Cold" | "Qualified" | "Proposal Made" | "SoW Submitted" | "Won" | "Lost";
export type BoardData = {
    deals?: Deal[];
    users?: User[];
    customers?: Customer[];
    categories?: DealCategory[];
};
