import type { FeaturesBlock as FeaturesBlockProps, Media } from '@/payload-types';
type Section = NonNullable<FeaturesBlockProps['features']>[number];
interface FeatureCardProps extends Section {
    image?: Partial<Media>;
    subtitle?: string;
    settings?: Section['settings'] & {
        width?: '1/4' | '1/3' | '1/2' | 'full' | 'auto';
        order?: number;
    };
    className?: string;
    link?: Section['link'] & {
        label: string;
    };
    title: string;
}
export declare function FeatureCard({ image, icon, title, subtitle, content, statistic, settings, link, className, }: FeatureCardProps): import("react/jsx-runtime").JSX.Element;
export {};
