import React from 'react';
interface ChatMessage {
    type: 'text' | 'image' | 'file' | 'code' | 'tool-invocation' | 'artifact' | 'forwarding';
    data?: {
        tool?: string;
        [key: string | number]: any;
    };
}
export interface ChatMessageProps {
    id: string;
    message: ChatMessage;
    role: 'user' | 'assistant';
    currentUser?: {
        name?: string;
        avatar?: string;
    };
}
export declare const ChatMessage: React.NamedExoticComponent<ChatMessageProps>;
export {};
