export interface TaskData {
    id: number;
    name: string;
    description: string;
    status: 'backlog' | 'todo' | 'inProgress' | 'done' | 'cancelled';
    dateLogged: string;
    project?: {
        id: number;
        name: string;
    };
}
/**
 * Hook to fetch task data from Payload CMS with background polling
 * @param taskId The ID of the task to fetch
 * @param polling Whether to poll for updates (default: false)
 * @param system The system to use for fetching the task (default: 'payload')
 * @returns The task data and loading state
 */
interface UseTaskParams {
    taskId: number | null;
    polling?: boolean;
    system?: string;
}
export declare function useTask({ taskId, polling, system }: UseTaskParams): {
    task: TaskData | null;
    loading: boolean;
    error: Error | null;
};
export {};
