import React from 'react';
import { Sidebar } from '@/components//ui/sidebar';
type FileType = 'published' | 'draft' | 'note';
type Metadata = {
    backend: 'github';
    owner: string;
    repo: string;
    path: string;
    branch?: string;
    encoding?: string;
};
interface LinkItem {
    label: string;
    url: string;
    type?: FileType;
    metadata?: Metadata;
}
type MenuStructure = {
    label: string;
    url?: string;
    isActive?: boolean;
    icon?: React.ComponentType<React.ComponentProps<'svg'>>;
    type?: FileType;
    links?: LinkItem[] | undefined;
};
export type NavigationItem = {
    label: string;
    url: string;
    isActive?: boolean;
    isDraft?: boolean;
    items?: NavigationItem[];
    icon?: React.ComponentType<React.ComponentProps<'svg'>>;
};
interface SidebarLeftProps extends React.ComponentProps<typeof Sidebar> {
    mainNav?: MenuStructure[];
    secondaryNav?: MenuStructure[];
    ongoingWork?: MenuStructure[];
    title?: string;
    subTitle?: string;
    pathName?: string;
    menuHeading?: string;
    onNavClick?: (callback: any) => void;
    loading?: boolean;
    LinkComponent?: React.ComponentType<React.ComponentProps<'a'>>;
}
export declare function AppSidebarLeft({ mainNav, secondaryNav, ongoingWork, title, subTitle, pathName, menuHeading, onNavClick, loading, LinkComponent, ...props }: SidebarLeftProps): import("react/jsx-runtime").JSX.Element;
export {};
