import React from 'react';
export interface Epic {
    id: string;
    name: string;
    color: string;
    description?: string;
    isSelected?: boolean;
}
export interface Sprint {
    id: string;
    name: string;
    description?: string;
    startDate: Date;
    endDate: Date;
    isActive: boolean;
    isSelected?: boolean;
}
export interface Task {
    id: string;
    title: string;
    description: string;
    status: 'todo' | 'in-progress' | 'review' | 'done';
    priority: 'low' | 'medium' | 'high';
    type: 'story' | 'task' | 'bug' | 'spike';
    epicId: string;
    sprintId?: string;
    assignee: string;
    createdAt: Date;
}
export declare const KanbanBoard: React.FC;
