import { ImageProps, LinkProps } from '@/common-types';
import { StaticImageData } from 'next/image';
import { ClassValue } from 'clsx';
interface RecentBlog {
    slug: string;
    image: Omit<ImageProps, 'width' | 'height'>;
    date: string;
    title: string;
}
interface SocialLinkProps {
    icon: React.ReactNode;
    href: string;
}
export interface SectionProps {
    className?: ClassValue;
    logoLight: StaticImageData;
    logoDark: StaticImageData;
    footerData: FooterSectionProps;
}
export interface FooterSectionProps {
    about: {
        description: string;
        socialLinks: SocialLinkProps[];
    };
    columnOne: {
        title: string;
        links: LinkProps[];
    };
    columnTwo: {
        title: string;
        location: string;
        mails: string[];
        phoneNumbers: string[];
    };
    columnThree: {
        title: string;
        blogs: RecentBlog[];
    };
    footerBottom: {
        copyrightText: string;
        links: LinkProps[];
    };
}
export declare function Footer({ className, footerData, logoLight, logoDark }: SectionProps): import("react/jsx-runtime").JSX.Element;
export {};
