import { ClassValue } from 'clsx';
type Alignment = 'start' | 'center' | 'end';
export interface SectionHeadingProps {
    subtitle?: string;
    title: string;
    description?: string;
    alignment?: Alignment;
    hasBottomSpacing?: boolean;
    invert?: boolean;
    className?: ClassValue;
}
export type SectionHeadingWithoutStylingProps = Omit<SectionHeadingProps, 'alignment' | 'hasBottomSpacing'>;
/**
 * This component renders a text section with `subtitle`, `title`,
 * and `description`. It has styling options for alignment
 * @param SectionHeadingProps
 * @returns JSX.Element
 */
export declare function SectionHeading({ subtitle, title, description, alignment, hasBottomSpacing, className, invert, }: SectionHeadingProps): import("react/jsx-runtime").JSX.Element;
export {};
