import React from 'react';
import { Sidebar } from '@/components//ui/sidebar';
type FileType = 'published' | 'draft' | 'note';
type Metadata = {
    backend: 'github';
    owner: string;
    repo: string;
    path: string;
    branch?: string;
    encoding?: string;
};
type LinkItem = {
    label: string;
    url: string;
    type?: FileType;
    metadata?: Metadata;
};
type RelatedContent = {
    [key: string]: LinkItem[];
};
export type TableOfContentsItem = {
    title: string;
    url: string;
    isActive?: boolean;
    isDraft?: boolean;
    items?: TableOfContentsItem[];
};
interface SidebarRightProps extends React.ComponentProps<typeof Sidebar> {
    tableOfContents?: TableOfContentsItem[];
    relatedContent?: RelatedContent;
    editorComponent?: React.ReactNode;
    loading: boolean;
    editMode: boolean;
    onAddDocument: () => void;
    onEditDocument: () => void;
    onPrintDocument: () => void;
    onGithubClick?: () => void;
    onNavClick?: (callback: any) => void;
    LinkComponent?: React.ComponentType<React.ComponentProps<'a'>>;
}
export declare function SidebarRight({ relatedContent, tableOfContents, editorComponent, loading, editMode, onAddDocument, onEditDocument, onPrintDocument, onGithubClick, onNavClick, LinkComponent, ...props }: SidebarRightProps): import("react/jsx-runtime").JSX.Element;
export {};
