export interface IContainer {
    /**
     * The content or components to be rendered inside the container.
     * @type {React.ReactNode}
     */
    children: React.ReactNode;
    /**
     * Determines if the container should have a full width.
     * @type {boolean}
     */
    isFluid?: boolean;
    /**
     * Determines if the container should have no padding.
     * @type {boolean}
     */
    isNoPadding?: boolean;
    /**
     * Additional class names to apply to the container.
     * @type {string}
     */
    className?: string;
}
/** Container provide content containment, padding, and alignment within specific devices or viewports. */
export declare function Container({ children, isFluid, isNoPadding, className }: IContainer): import("react/jsx-runtime").JSX.Element;
