import { ImageProps, LinkProps } from '@/common-types';
import { Post } from '@/payload-types';
export interface BlogProps {
    image: Omit<ImageProps, 'width' | 'height'>;
    authors?: {
        name: string;
        image: ImageProps;
    }[];
    categories?: string[];
    commentCount: string;
    title: string;
    description: string;
    slug: string;
    publishedAt: string;
    meta: Post['meta'];
}
type PagingProps = {
    nextPage: number | null;
    page: number;
    prevPage: number | null;
    totalDocs: number | null;
    totalPages: number;
};
interface CategoryListProps {
    title: string;
    links: LinkProps[];
}
export declare function BlogListSection({ blogs, pages, categories, types, base }: {
    blogs: Partial<Post>[];
    pages: PagingProps;
    categories?: CategoryListProps;
    types: LinkProps[];
    base: string;
}): import("react/jsx-runtime").JSX.Element;
export {};
