import { CodeBlockProps } from '@/components/Blocks/Code';
import { JSX } from 'react';
import { DefaultNodeTypes, SerializedBlockNode, SerializedHeadingNode as BaseSerializedHeadingNode } from '@payloadcms/richtext-lexical';
import type { BannerBlock as BannerBlockProps, CallToActionBlock as CTABlockProps, MediaBlock as MediaBlockProps, ImageBlock as ImageBlockProps, FeaturesBlock as FeaturesBlockProps, ReusableContent } from '@/payload-types';
type SerializedHeadingNode = BaseSerializedHeadingNode & {
    id?: string;
};
type ReusableContentProps = {
    reusableContent: number | ReusableContent;
    /**
     * This is a custom ID that can be used to target this block with CSS or JavaScript.
     */
    customId: string;
    id?: string | null;
    blockName?: string | null;
    blockType: 'reusableContentBlock';
};
export type NodeTypes = DefaultNodeTypes | SerializedBlockNode<CTABlockProps | MediaBlockProps | ImageBlockProps | BannerBlockProps | CodeBlockProps | FeaturesBlockProps | ReusableContentProps> | TableNode | TableRowNode | TableCellNode | SerializedHeadingNode;
type TableNode = {
    type: 'table';
    children: TableRowNode[];
};
type TableRowNode = {
    type: 'tableRow';
    children: TableCellNode[];
};
type TableCellNode = {
    type: 'tableCell';
    children: NodeTypes[];
};
type Props = {
    nodes: NodeTypes[];
};
export declare function serializeLexical({ nodes }: Props): JSX.Element;
export {};
