/**
 * This file was automatically generated by Payload.
 * DO NOT MODIFY IT BY HAND. Instead, modify your source Payload config,
 * and re-run `payload generate:types` to regenerate this file.
 */
/**
 * Supported timezones in IANA format.
 *
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "supportedTimezones".
 */
export type SupportedTimezones = 'Pacific/Midway' | 'Pacific/Niue' | 'Pacific/Honolulu' | 'Pacific/Rarotonga' | 'America/Anchorage' | 'Pacific/Gambier' | 'America/Los_Angeles' | 'America/Tijuana' | 'America/Denver' | 'America/Phoenix' | 'America/Chicago' | 'America/Guatemala' | 'America/New_York' | 'America/Bogota' | 'America/Caracas' | 'America/Santiago' | 'America/Buenos_Aires' | 'America/Sao_Paulo' | 'Atlantic/South_Georgia' | 'Atlantic/Azores' | 'Atlantic/Cape_Verde' | 'Europe/London' | 'Europe/Berlin' | 'Africa/Lagos' | 'Europe/Athens' | 'Africa/Cairo' | 'Europe/Moscow' | 'Asia/Riyadh' | 'Asia/Dubai' | 'Asia/Baku' | 'Asia/Karachi' | 'Asia/Tashkent' | 'Asia/Calcutta' | 'Asia/Dhaka' | 'Asia/Almaty' | 'Asia/Jakarta' | 'Asia/Bangkok' | 'Asia/Shanghai' | 'Asia/Singapore' | 'Asia/Tokyo' | 'Asia/Seoul' | 'Australia/Sydney' | 'Pacific/Guam' | 'Pacific/Noumea' | 'Pacific/Auckland' | 'Pacific/Fiji';
export interface Config {
    auth: {
        users: UserAuthOperations;
    };
    blocks: {};
    collections: {
        pages: Page;
        assessment: Assessment;
        'assessment-answers': AssessmentAnswer;
        'published-pages': PublishedPage;
        'reusable-content': ReusableContent;
        posts: Post;
        'published-posts': PublishedPost;
        media: Media;
        'media-profiles': MediaProfile;
        'media-brand-images': MediaBrandImage;
        images: Image;
        categories: Category;
        users: User;
        customers: Customer;
        events: Event;
        propositions: Proposition;
        'case-studies': CaseStudy;
        holidays: Holiday;
        deals: Deal;
        'deal-categories': DealCategory;
        proposals: Proposal;
        redirects: Redirect;
        forms: Form;
        'form-submissions': FormSubmission;
        search: Search;
        'payload-jobs': PayloadJob;
        'payload-locked-documents': PayloadLockedDocument;
        'payload-preferences': PayloadPreference;
        'payload-migrations': PayloadMigration;
    };
    collectionsJoins: {};
    collectionsSelect: {
        pages: PagesSelect<false> | PagesSelect<true>;
        assessment: AssessmentSelect<false> | AssessmentSelect<true>;
        'assessment-answers': AssessmentAnswersSelect<false> | AssessmentAnswersSelect<true>;
        'published-pages': PublishedPagesSelect<false> | PublishedPagesSelect<true>;
        'reusable-content': ReusableContentSelect<false> | ReusableContentSelect<true>;
        posts: PostsSelect<false> | PostsSelect<true>;
        'published-posts': PublishedPostsSelect<false> | PublishedPostsSelect<true>;
        media: MediaSelect<false> | MediaSelect<true>;
        'media-profiles': MediaProfilesSelect<false> | MediaProfilesSelect<true>;
        'media-brand-images': MediaBrandImagesSelect<false> | MediaBrandImagesSelect<true>;
        images: ImagesSelect<false> | ImagesSelect<true>;
        categories: CategoriesSelect<false> | CategoriesSelect<true>;
        users: UsersSelect<false> | UsersSelect<true>;
        customers: CustomersSelect<false> | CustomersSelect<true>;
        events: EventsSelect<false> | EventsSelect<true>;
        propositions: PropositionsSelect<false> | PropositionsSelect<true>;
        'case-studies': CaseStudiesSelect<false> | CaseStudiesSelect<true>;
        holidays: HolidaysSelect<false> | HolidaysSelect<true>;
        deals: DealsSelect<false> | DealsSelect<true>;
        'deal-categories': DealCategoriesSelect<false> | DealCategoriesSelect<true>;
        proposals: ProposalsSelect<false> | ProposalsSelect<true>;
        redirects: RedirectsSelect<false> | RedirectsSelect<true>;
        forms: FormsSelect<false> | FormsSelect<true>;
        'form-submissions': FormSubmissionsSelect<false> | FormSubmissionsSelect<true>;
        search: SearchSelect<false> | SearchSelect<true>;
        'payload-jobs': PayloadJobsSelect<false> | PayloadJobsSelect<true>;
        'payload-locked-documents': PayloadLockedDocumentsSelect<false> | PayloadLockedDocumentsSelect<true>;
        'payload-preferences': PayloadPreferencesSelect<false> | PayloadPreferencesSelect<true>;
        'payload-migrations': PayloadMigrationsSelect<false> | PayloadMigrationsSelect<true>;
    };
    db: {
        defaultIDType: number;
    };
    globals: {
        header: Header;
        footer: Footer;
        'message-of-the-day': MessageOfTheDay;
        website: Website;
    };
    globalsSelect: {
        header: HeaderSelect<false> | HeaderSelect<true>;
        footer: FooterSelect<false> | FooterSelect<true>;
        'message-of-the-day': MessageOfTheDaySelect<false> | MessageOfTheDaySelect<true>;
        website: WebsiteSelect<false> | WebsiteSelect<true>;
    };
    locale: null;
    user: User & {
        collection: 'users';
    };
    jobs: {
        tasks: {
            schedulePublish: TaskSchedulePublish;
            inline: {
                input: unknown;
                output: unknown;
            };
        };
        workflows: {
            updateEvents: WorkflowUpdateEvents;
        };
    };
}
export interface UserAuthOperations {
    forgotPassword: {
        email: string;
        password: string;
    };
    login: {
        email: string;
        password: string;
    };
    registerFirstUser: {
        email: string;
        password: string;
    };
    unlock: {
        email: string;
        password: string;
    };
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "pages".
 */
export interface Page {
    id: number;
    title: string;
    hero: {
        type: 'none' | 'highImpact' | 'mediumImpact' | 'lowImpact';
        richText?: {
            root: {
                type: string;
                children: {
                    type: string;
                    version: number;
                    [k: string]: unknown;
                }[];
                direction: ('ltr' | 'rtl') | null;
                format: 'left' | 'start' | 'center' | 'right' | 'end' | 'justify' | '';
                indent: number;
                version: number;
            };
            [k: string]: unknown;
        } | null;
        links?: {
            link: {
                type?: ('reference' | 'custom' | 'none') | null;
                newTab?: boolean | null;
                reference?: {
                    relationTo: 'pages';
                    value: number | Page;
                } | null;
                url?: string | null;
                label: string;
                /**
                 * Choose how the link should be rendered.
                 */
                appearance?: ('default' | 'outline') | null;
            };
            id?: string | null;
        }[] | null;
        media?: (number | null) | Media;
    };
    layout: (CallToActionBlock | CollapsibleAreaBlock | ContentBlock | MediaBlock | ImageBlock | ArchiveBlock | FormBlock | FeaturesBlock | ReusableContentBlock)[];
    meta?: {
        title?: string | null;
        /**
         * Maximum upload file size: 12MB. Recommended file size for images is <500KB.
         */
        image?: (number | null) | Media;
        description?: string | null;
    };
    publishedAt?: string | null;
    relatedDocument?: {
        relationTo: 'propositions';
        value: number | Proposition;
    } | null;
    /**
     * Links to other pages or external content
     */
    links?: {
        link: {
            type?: ('reference' | 'custom' | 'none') | null;
            newTab?: boolean | null;
            reference?: {
                relationTo: 'pages';
                value: number | Page;
            } | null;
            url?: string | null;
            label: string;
        };
        id?: string | null;
    }[] | null;
    slug?: string | null;
    slugLock?: boolean | null;
    parent?: (number | null) | Page;
    breadcrumbs?: {
        doc?: (number | null) | Page;
        url?: string | null;
        label?: string | null;
        id?: string | null;
    }[] | null;
    updatedAt: string;
    createdAt: string;
    _status?: ('draft' | 'published') | null;
}
/**
 * Reusable media content. Use Page Images for one-off images.
 *
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "media".
 */
export interface Media {
    id: number;
    alt?: string | null;
    prefix?: string | null;
    updatedAt: string;
    createdAt: string;
    url?: string | null;
    thumbnailURL?: string | null;
    filename?: string | null;
    mimeType?: string | null;
    filesize?: number | null;
    width?: number | null;
    height?: number | null;
    focalX?: number | null;
    focalY?: number | null;
    sizes?: {
        thumbnail?: {
            url?: string | null;
            width?: number | null;
            height?: number | null;
            mimeType?: string | null;
            filesize?: number | null;
            filename?: string | null;
        };
        square?: {
            url?: string | null;
            width?: number | null;
            height?: number | null;
            mimeType?: string | null;
            filesize?: number | null;
            filename?: string | null;
        };
        small?: {
            url?: string | null;
            width?: number | null;
            height?: number | null;
            mimeType?: string | null;
            filesize?: number | null;
            filename?: string | null;
        };
        medium?: {
            url?: string | null;
            width?: number | null;
            height?: number | null;
            mimeType?: string | null;
            filesize?: number | null;
            filename?: string | null;
        };
        large?: {
            url?: string | null;
            width?: number | null;
            height?: number | null;
            mimeType?: string | null;
            filesize?: number | null;
            filename?: string | null;
        };
        xlarge?: {
            url?: string | null;
            width?: number | null;
            height?: number | null;
            mimeType?: string | null;
            filesize?: number | null;
            filename?: string | null;
        };
    };
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "CallToActionBlock".
 */
export interface CallToActionBlock {
    richText?: {
        root: {
            type: string;
            children: {
                type: string;
                version: number;
                [k: string]: unknown;
            }[];
            direction: ('ltr' | 'rtl') | null;
            format: 'left' | 'start' | 'center' | 'right' | 'end' | 'justify' | '';
            indent: number;
            version: number;
        };
        [k: string]: unknown;
    } | null;
    links?: {
        link: {
            type?: ('reference' | 'custom' | 'none') | null;
            newTab?: boolean | null;
            reference?: {
                relationTo: 'pages';
                value: number | Page;
            } | null;
            url?: string | null;
            label: string;
            /**
             * Choose how the link should be rendered.
             */
            appearance?: ('default' | 'outline') | null;
        };
        id?: string | null;
    }[] | null;
    id?: string | null;
    blockName?: string | null;
    blockType: 'cta';
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "CollapsibleAreaBlock".
 */
export interface CollapsibleAreaBlock {
    title?: string | null;
    richText?: {
        root: {
            type: string;
            children: {
                type: string;
                version: number;
                [k: string]: unknown;
            }[];
            direction: ('ltr' | 'rtl') | null;
            format: 'left' | 'start' | 'center' | 'right' | 'end' | 'justify' | '';
            indent: number;
            version: number;
        };
        [k: string]: unknown;
    } | null;
    id?: string | null;
    blockName?: string | null;
    blockType: 'collasibleArea';
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "ContentBlock".
 */
export interface ContentBlock {
    theme?: {
        settings?: {
            /**
             * Set the background style
             */
            theme?: ('default' | 'light' | 'dark' | 'green') | null;
            background?: ('solid' | 'transparent' | 'gradientUp' | 'gradientDown' | 'image') | null;
            image?: (number | null) | Media;
            /**
             * Overlay the theme colour on top of the image
             */
            overlay?: boolean | null;
            box?: ('none' | 'line') | null;
        };
    };
    columns?: {
        size?: ('oneThird' | 'half' | 'twoThirds' | 'full') | null;
        richText?: {
            root: {
                type: string;
                children: {
                    type: string;
                    version: number;
                    [k: string]: unknown;
                }[];
                direction: ('ltr' | 'rtl') | null;
                format: 'left' | 'start' | 'center' | 'right' | 'end' | 'justify' | '';
                indent: number;
                version: number;
            };
            [k: string]: unknown;
        } | null;
        enableLink?: boolean | null;
        link?: {
            type?: ('reference' | 'custom' | 'none') | null;
            newTab?: boolean | null;
            reference?: {
                relationTo: 'pages';
                value: number | Page;
            } | null;
            url?: string | null;
            label: string;
            /**
             * Choose how the link should be rendered.
             */
            appearance?: ('default' | 'outline') | null;
        };
        id?: string | null;
    }[] | null;
    id?: string | null;
    blockName?: string | null;
    blockType: 'content';
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "MediaBlock".
 */
export interface MediaBlock {
    theme?: {
        settings?: {
            /**
             * Set the background style
             */
            theme?: ('default' | 'light' | 'dark' | 'green') | null;
            background?: ('solid' | 'transparent' | 'gradientUp' | 'gradientDown' | 'image') | null;
            image?: (number | null) | Media;
            /**
             * Overlay the theme colour on top of the image
             */
            overlay?: boolean | null;
        };
    };
    media: number | Media;
    id?: string | null;
    blockName?: string | null;
    blockType: 'mediaBlock';
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "ImageBlock".
 */
export interface ImageBlock {
    theme?: {
        settings?: {
            /**
             * Set the background style
             */
            theme?: ('default' | 'light' | 'dark' | 'green') | null;
            background?: ('solid' | 'transparent' | 'gradientUp' | 'gradientDown' | 'image') | null;
            image?: (number | null) | Media;
            /**
             * Overlay the theme colour on top of the image
             */
            overlay?: boolean | null;
        };
    };
    media: number | Image;
    id?: string | null;
    blockName?: string | null;
    blockType: 'imageBlock';
}
/**
 * One-off images included in the body of Pages or Posts.
 *
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "images".
 */
export interface Image {
    id: number;
    alt?: string | null;
    prefix?: string | null;
    updatedAt: string;
    createdAt: string;
    url?: string | null;
    thumbnailURL?: string | null;
    filename?: string | null;
    mimeType?: string | null;
    filesize?: number | null;
    width?: number | null;
    height?: number | null;
    focalX?: number | null;
    focalY?: number | null;
    sizes?: {
        thumbnail?: {
            url?: string | null;
            width?: number | null;
            height?: number | null;
            mimeType?: string | null;
            filesize?: number | null;
            filename?: string | null;
        };
        square?: {
            url?: string | null;
            width?: number | null;
            height?: number | null;
            mimeType?: string | null;
            filesize?: number | null;
            filename?: string | null;
        };
        small?: {
            url?: string | null;
            width?: number | null;
            height?: number | null;
            mimeType?: string | null;
            filesize?: number | null;
            filename?: string | null;
        };
        medium?: {
            url?: string | null;
            width?: number | null;
            height?: number | null;
            mimeType?: string | null;
            filesize?: number | null;
            filename?: string | null;
        };
        large?: {
            url?: string | null;
            width?: number | null;
            height?: number | null;
            mimeType?: string | null;
            filesize?: number | null;
            filename?: string | null;
        };
        xlarge?: {
            url?: string | null;
            width?: number | null;
            height?: number | null;
            mimeType?: string | null;
            filesize?: number | null;
            filename?: string | null;
        };
    };
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "ArchiveBlock".
 */
export interface ArchiveBlock {
    introContent?: {
        root: {
            type: string;
            children: {
                type: string;
                version: number;
                [k: string]: unknown;
            }[];
            direction: ('ltr' | 'rtl') | null;
            format: 'left' | 'start' | 'center' | 'right' | 'end' | 'justify' | '';
            indent: number;
            version: number;
        };
        [k: string]: unknown;
    } | null;
    populateBy?: ('collection' | 'selection') | null;
    relationTo?: 'posts' | null;
    categories?: (number | Category)[] | null;
    limit?: number | null;
    selectedDocs?: {
        relationTo: 'posts';
        value: number | Post;
    }[] | null;
    id?: string | null;
    blockName?: string | null;
    blockType: 'archive';
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "categories".
 */
export interface Category {
    id: number;
    title: string;
    parent?: (number | null) | Category;
    breadcrumbs?: {
        doc?: (number | null) | Category;
        url?: string | null;
        label?: string | null;
        id?: string | null;
    }[] | null;
    updatedAt: string;
    createdAt: string;
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "posts".
 */
export interface Post {
    id: number;
    title: string;
    content: {
        root: {
            type: string;
            children: {
                type: string;
                version: number;
                [k: string]: unknown;
            }[];
            direction: ('ltr' | 'rtl') | null;
            format: 'left' | 'start' | 'center' | 'right' | 'end' | 'justify' | '';
            indent: number;
            version: number;
        };
        [k: string]: unknown;
    };
    relatedPosts?: (number | Post)[] | null;
    categories?: (number | Category)[] | null;
    meta?: {
        title?: string | null;
        /**
         * Maximum upload file size: 12MB. Recommended file size for images is <500KB.
         */
        image?: (number | null) | Media;
        description?: string | null;
    };
    publishedAt?: string | null;
    authors?: (number | User)[] | null;
    populatedAuthors?: {
        id?: string | null;
        name?: string | null;
    }[] | null;
    slug?: string | null;
    slugLock?: boolean | null;
    updatedAt: string;
    createdAt: string;
    _status?: ('draft' | 'published') | null;
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "users".
 */
export interface User {
    id: number;
    name?: string | null;
    email: string;
    jobRole?: ('C1' | 'C2' | 'C3' | 'SC1' | 'SC2' | 'M' | 'SM' | 'P') | null;
    manager?: (number | null) | User;
    about?: string | null;
    profilePicture?: (number | null) | MediaProfile;
    workHistory?: {
        company: string;
        position: string;
        startDate: string;
        endDate?: string | null;
        description?: string | null;
        id?: string | null;
    }[] | null;
    certifications?: {
        name: string;
        issuer?: string | null;
        dateObtained?: string | null;
        expirationDate?: string | null;
        id?: string | null;
    }[] | null;
    areasOfExpertise?: {
        area: string;
        description?: string | null;
        id?: string | null;
    }[] | null;
    dateOfBirth?: string | null;
    joinDate?: string | null;
    linkedIn?: string | null;
    role: 'admin' | 'user';
    updatedAt: string;
    createdAt: string;
    enableAPIKey?: boolean | null;
    apiKey?: string | null;
    apiKeyIndex?: string | null;
}
/**
 * Profile images for users.
 *
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "media-profiles".
 */
export interface MediaProfile {
    id: number;
    name?: string | null;
    prefix?: string | null;
    updatedAt: string;
    createdAt: string;
    url?: string | null;
    thumbnailURL?: string | null;
    filename?: string | null;
    mimeType?: string | null;
    filesize?: number | null;
    width?: number | null;
    height?: number | null;
    focalX?: number | null;
    focalY?: number | null;
    sizes?: {
        thumbnail?: {
            url?: string | null;
            width?: number | null;
            height?: number | null;
            mimeType?: string | null;
            filesize?: number | null;
            filename?: string | null;
        };
        square?: {
            url?: string | null;
            width?: number | null;
            height?: number | null;
            mimeType?: string | null;
            filesize?: number | null;
            filename?: string | null;
        };
        small?: {
            url?: string | null;
            width?: number | null;
            height?: number | null;
            mimeType?: string | null;
            filesize?: number | null;
            filename?: string | null;
        };
        medium?: {
            url?: string | null;
            width?: number | null;
            height?: number | null;
            mimeType?: string | null;
            filesize?: number | null;
            filename?: string | null;
        };
    };
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "FormBlock".
 */
export interface FormBlock {
    form: number | Form;
    enableIntro?: boolean | null;
    introContent?: {
        root: {
            type: string;
            children: {
                type: string;
                version: number;
                [k: string]: unknown;
            }[];
            direction: ('ltr' | 'rtl') | null;
            format: 'left' | 'start' | 'center' | 'right' | 'end' | 'justify' | '';
            indent: number;
            version: number;
        };
        [k: string]: unknown;
    } | null;
    id?: string | null;
    blockName?: string | null;
    blockType: 'formBlock';
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "forms".
 */
export interface Form {
    id: number;
    title: string;
    fields?: ({
        name: string;
        label?: string | null;
        width?: number | null;
        required?: boolean | null;
        defaultValue?: boolean | null;
        id?: string | null;
        blockName?: string | null;
        blockType: 'checkbox';
    } | {
        name: string;
        label?: string | null;
        width?: number | null;
        required?: boolean | null;
        id?: string | null;
        blockName?: string | null;
        blockType: 'country';
    } | {
        name: string;
        label?: string | null;
        width?: number | null;
        required?: boolean | null;
        id?: string | null;
        blockName?: string | null;
        blockType: 'email';
    } | {
        message?: {
            root: {
                type: string;
                children: {
                    type: string;
                    version: number;
                    [k: string]: unknown;
                }[];
                direction: ('ltr' | 'rtl') | null;
                format: 'left' | 'start' | 'center' | 'right' | 'end' | 'justify' | '';
                indent: number;
                version: number;
            };
            [k: string]: unknown;
        } | null;
        id?: string | null;
        blockName?: string | null;
        blockType: 'message';
    } | {
        name: string;
        label?: string | null;
        width?: number | null;
        defaultValue?: number | null;
        required?: boolean | null;
        id?: string | null;
        blockName?: string | null;
        blockType: 'number';
    } | {
        name: string;
        label?: string | null;
        width?: number | null;
        defaultValue?: string | null;
        options?: {
            label: string;
            value: string;
            id?: string | null;
        }[] | null;
        required?: boolean | null;
        id?: string | null;
        blockName?: string | null;
        blockType: 'select';
    } | {
        name: string;
        label?: string | null;
        width?: number | null;
        required?: boolean | null;
        id?: string | null;
        blockName?: string | null;
        blockType: 'state';
    } | {
        name: string;
        label?: string | null;
        width?: number | null;
        defaultValue?: string | null;
        required?: boolean | null;
        id?: string | null;
        blockName?: string | null;
        blockType: 'text';
    } | {
        name: string;
        label?: string | null;
        width?: number | null;
        defaultValue?: string | null;
        required?: boolean | null;
        id?: string | null;
        blockName?: string | null;
        blockType: 'textarea';
    })[] | null;
    submitButtonLabel?: string | null;
    /**
     * Choose whether to display an on-page message or redirect to a different page after they submit the form.
     */
    confirmationType?: ('message' | 'redirect') | null;
    confirmationMessage?: {
        root: {
            type: string;
            children: {
                type: string;
                version: number;
                [k: string]: unknown;
            }[];
            direction: ('ltr' | 'rtl') | null;
            format: 'left' | 'start' | 'center' | 'right' | 'end' | 'justify' | '';
            indent: number;
            version: number;
        };
        [k: string]: unknown;
    } | null;
    redirect?: {
        url: string;
    };
    /**
     * Send custom emails when the form submits. Use comma separated lists to send the same email to multiple recipients. To reference a value from this form, wrap that field's name with double curly brackets, i.e. {{firstName}}. You can use a wildcard {{*}} to output all data and {{*:table}} to format it as an HTML table in the email.
     */
    emails?: {
        emailTo?: string | null;
        cc?: string | null;
        bcc?: string | null;
        replyTo?: string | null;
        emailFrom?: string | null;
        subject: string;
        /**
         * Enter the message that should be sent in this email.
         */
        message?: {
            root: {
                type: string;
                children: {
                    type: string;
                    version: number;
                    [k: string]: unknown;
                }[];
                direction: ('ltr' | 'rtl') | null;
                format: 'left' | 'start' | 'center' | 'right' | 'end' | 'justify' | '';
                indent: number;
                version: number;
            };
            [k: string]: unknown;
        } | null;
        id?: string | null;
    }[] | null;
    updatedAt: string;
    createdAt: string;
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "FeaturesBlock".
 */
export interface FeaturesBlock {
    theme?: {
        settings?: {
            /**
             * Set the background style
             */
            theme?: ('default' | 'light' | 'dark' | 'green') | null;
            background?: ('solid' | 'transparent' | 'gradientUp' | 'gradientDown' | 'image') | null;
            image?: (number | null) | Media;
            /**
             * Overlay the theme colour on top of the image
             */
            overlay?: boolean | null;
        };
    };
    title?: string | null;
    description?: {
        root: {
            type: string;
            children: {
                type: string;
                version: number;
                [k: string]: unknown;
            }[];
            direction: ('ltr' | 'rtl') | null;
            format: 'left' | 'start' | 'center' | 'right' | 'end' | 'justify' | '';
            indent: number;
            version: number;
        };
        [k: string]: unknown;
    } | null;
    features?: {
        title?: string | null;
        settings?: {
            /**
             * Card style
             */
            card?: ('default' | 'solid' | 'gradient' | 'radial' | 'outline' | 'light') | null;
            /**
             * Icon Size
             */
            iconSize?: ('large' | 'small') | null;
        };
        link?: {
            type?: ('reference' | 'custom' | 'none') | null;
            newTab?: boolean | null;
            reference?: {
                relationTo: 'pages';
                value: number | Page;
            } | null;
            url?: string | null;
        };
        icon: {
            type: 'fa-kit' | 'fa-light' | 'fa-thin' | 'fa-brands' | 'none';
            icon?: string | null;
        };
        statistic?: string | null;
        content?: {
            root: {
                type: string;
                children: {
                    type: string;
                    version: number;
                    [k: string]: unknown;
                }[];
                direction: ('ltr' | 'rtl') | null;
                format: 'left' | 'start' | 'center' | 'right' | 'end' | 'justify' | '';
                indent: number;
                version: number;
            };
            [k: string]: unknown;
        } | null;
        id?: string | null;
    }[] | null;
    id?: string | null;
    blockName?: string | null;
    blockType: 'features';
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "ReusableContentBlock".
 */
export interface ReusableContentBlock {
    reusableContent: number | ReusableContent;
    customId?: string | null;
    id?: string | null;
    blockName?: string | null;
    blockType: 'reusableContentBlock';
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "reusable-content".
 */
export interface ReusableContent {
    id: number;
    title: string;
    hero: {
        type: 'none' | 'highImpact' | 'mediumImpact' | 'lowImpact';
        richText?: {
            root: {
                type: string;
                children: {
                    type: string;
                    version: number;
                    [k: string]: unknown;
                }[];
                direction: ('ltr' | 'rtl') | null;
                format: 'left' | 'start' | 'center' | 'right' | 'end' | 'justify' | '';
                indent: number;
                version: number;
            };
            [k: string]: unknown;
        } | null;
        links?: {
            link: {
                type?: ('reference' | 'custom' | 'none') | null;
                newTab?: boolean | null;
                reference?: {
                    relationTo: 'pages';
                    value: number | Page;
                } | null;
                url?: string | null;
                label: string;
                /**
                 * Choose how the link should be rendered.
                 */
                appearance?: ('default' | 'outline') | null;
            };
            id?: string | null;
        }[] | null;
        media?: (number | null) | Media;
    };
    layout: (CallToActionBlock | CollapsibleAreaBlock | ContentBlock | MediaBlock | ImageBlock | ArchiveBlock | FormBlock | FeaturesBlock | ReusableContentBlock)[];
    meta?: {
        title?: string | null;
        /**
         * Maximum upload file size: 12MB. Recommended file size for images is <500KB.
         */
        image?: (number | null) | Media;
        description?: string | null;
    };
    publishedAt?: string | null;
    relatedDocument?: {
        relationTo: 'propositions';
        value: number | Proposition;
    } | null;
    /**
     * Links to other pages or external content
     */
    links?: {
        link: {
            type?: ('reference' | 'custom' | 'none') | null;
            newTab?: boolean | null;
            reference?: {
                relationTo: 'pages';
                value: number | Page;
            } | null;
            url?: string | null;
            label: string;
        };
        id?: string | null;
    }[] | null;
    slug?: string | null;
    slugLock?: boolean | null;
    updatedAt: string;
    createdAt: string;
    _status?: ('draft' | 'published') | null;
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "propositions".
 */
export interface Proposition {
    id: number;
    name: string;
    intro?: string | null;
    logo?: (number | null) | Media;
    icon?: {
        type?: ('fa-kit' | 'fa-light' | 'fa-thin' | 'fa-brands') | null;
        icon?: string | null;
    };
    leads?: (number | User)[] | null;
    members?: (number | User)[] | null;
    populatedLeads?: {
        id?: string | null;
        name?: string | null;
    }[] | null;
    populatedMembers?: {
        id?: string | null;
        name?: string | null;
    }[] | null;
    hero: {
        type: 'none' | 'highImpact' | 'mediumImpact' | 'lowImpact';
        richText?: {
            root: {
                type: string;
                children: {
                    type: string;
                    version: number;
                    [k: string]: unknown;
                }[];
                direction: ('ltr' | 'rtl') | null;
                format: 'left' | 'start' | 'center' | 'right' | 'end' | 'justify' | '';
                indent: number;
                version: number;
            };
            [k: string]: unknown;
        } | null;
        links?: {
            link: {
                type?: ('reference' | 'custom' | 'none') | null;
                newTab?: boolean | null;
                reference?: {
                    relationTo: 'pages';
                    value: number | Page;
                } | null;
                url?: string | null;
                label: string;
                /**
                 * Choose how the link should be rendered.
                 */
                appearance?: ('default' | 'outline') | null;
            };
            id?: string | null;
        }[] | null;
        media?: (number | null) | Media;
    };
    layout?: (CallToActionBlock | CollapsibleAreaBlock | ContentBlock | MediaBlock | ImageBlock | ArchiveBlock | FeaturesBlock)[] | null;
    meta?: {
        title?: string | null;
        /**
         * Maximum upload file size: 12MB. Recommended file size for images is <500KB.
         */
        image?: (number | null) | Media;
        description?: string | null;
    };
    publishedAt?: string | null;
    /**
     * Publish this page to the public website
     */
    publishedInternal?: boolean | null;
    /**
     * Proposition public landing page
     */
    landingPage?: {
        relationTo: 'pages';
        value: number | Page;
    } | null;
    slug?: string | null;
    slugLock?: boolean | null;
    parent?: (number | null) | Proposition;
    breadcrumbs?: {
        doc?: (number | null) | Proposition;
        url?: string | null;
        label?: string | null;
        id?: string | null;
    }[] | null;
    updatedAt: string;
    createdAt: string;
    _status?: ('draft' | 'published') | null;
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "assessment".
 */
export interface Assessment {
    id: number;
    assessmentType: 'ai' | 'fin-ops' | 'cybersecurity' | 'data-governance';
    title: string;
    sections: {
        'section-title': string;
        questions: {
            text: string;
            'answer-options': string[];
            'free-text'?: boolean | null;
            weighting?: ('1' | '2' | '3') | null;
            id?: string | null;
        }[];
        id?: string | null;
    }[];
    updatedAt: string;
    createdAt: string;
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "assessment-answers".
 */
export interface AssessmentAnswer {
    id: number;
    assessment: number | Assessment;
    sections: {
        'section-title': string;
        questions: {
            questionText: string;
            answerSelected: string;
            freeTextResponse?: string | null;
            weighting?: ('1' | '2' | '3') | null;
            id?: string | null;
        }[];
        id?: string | null;
    }[];
    updatedAt: string;
    createdAt: string;
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "published-pages".
 */
export interface PublishedPage {
    id: number;
    title: string;
    hero: {
        type: 'none' | 'highImpact' | 'mediumImpact' | 'lowImpact';
        richText?: {
            root: {
                type: string;
                children: {
                    type: string;
                    version: number;
                    [k: string]: unknown;
                }[];
                direction: ('ltr' | 'rtl') | null;
                format: 'left' | 'start' | 'center' | 'right' | 'end' | 'justify' | '';
                indent: number;
                version: number;
            };
            [k: string]: unknown;
        } | null;
        links?: {
            link: {
                type?: ('reference' | 'custom' | 'none') | null;
                newTab?: boolean | null;
                reference?: {
                    relationTo: 'pages';
                    value: number | Page;
                } | null;
                url?: string | null;
                label: string;
                /**
                 * Choose how the link should be rendered.
                 */
                appearance?: ('default' | 'outline') | null;
            };
            id?: string | null;
        }[] | null;
        media?: (number | null) | Media;
    };
    layout: (CallToActionBlock | CollapsibleAreaBlock | ContentBlock | MediaBlock | ImageBlock | ArchiveBlock | FormBlock | FeaturesBlock | ReusableContentBlock)[];
    meta?: {
        title?: string | null;
        /**
         * Maximum upload file size: 12MB. Recommended file size for images is <500KB.
         */
        image?: (number | null) | Media;
        description?: string | null;
    };
    publishedAt?: string | null;
    relatedDocument?: {
        relationTo: 'propositions';
        value: number | Proposition;
    } | null;
    /**
     * Links to other pages or external content
     */
    links?: {
        link: {
            type?: ('reference' | 'custom' | 'none') | null;
            newTab?: boolean | null;
            reference?: {
                relationTo: 'pages';
                value: number | Page;
            } | null;
            url?: string | null;
            label: string;
        };
        id?: string | null;
    }[] | null;
    slug?: string | null;
    slugLock?: boolean | null;
    pageId: number;
    updatedAt: string;
    createdAt: string;
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "published-posts".
 */
export interface PublishedPost {
    id: number;
    title: string;
    content: {
        root: {
            type: string;
            children: {
                type: string;
                version: number;
                [k: string]: unknown;
            }[];
            direction: ('ltr' | 'rtl') | null;
            format: 'left' | 'start' | 'center' | 'right' | 'end' | 'justify' | '';
            indent: number;
            version: number;
        };
        [k: string]: unknown;
    };
    relatedPosts?: (number | Post)[] | null;
    categories?: (number | Category)[] | null;
    meta?: {
        title?: string | null;
        /**
         * Maximum upload file size: 12MB. Recommended file size for images is <500KB.
         */
        image?: (number | null) | Media;
        description?: string | null;
    };
    publishedAt?: string | null;
    authors?: (number | User)[] | null;
    populatedAuthors?: {
        id?: string | null;
        name?: string | null;
    }[] | null;
    slug?: string | null;
    slugLock?: boolean | null;
    updatedAt: string;
    createdAt: string;
}
/**
 * NOT USED.
 *
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "media-brand-images".
 */
export interface MediaBrandImage {
    id: number;
    alt?: string | null;
    prefix?: string | null;
    updatedAt: string;
    createdAt: string;
    url?: string | null;
    thumbnailURL?: string | null;
    filename?: string | null;
    mimeType?: string | null;
    filesize?: number | null;
    width?: number | null;
    height?: number | null;
    focalX?: number | null;
    focalY?: number | null;
    sizes?: {
        thumbnail?: {
            url?: string | null;
            width?: number | null;
            height?: number | null;
            mimeType?: string | null;
            filesize?: number | null;
            filename?: string | null;
        };
        square?: {
            url?: string | null;
            width?: number | null;
            height?: number | null;
            mimeType?: string | null;
            filesize?: number | null;
            filename?: string | null;
        };
        small?: {
            url?: string | null;
            width?: number | null;
            height?: number | null;
            mimeType?: string | null;
            filesize?: number | null;
            filename?: string | null;
        };
        medium?: {
            url?: string | null;
            width?: number | null;
            height?: number | null;
            mimeType?: string | null;
            filesize?: number | null;
            filename?: string | null;
        };
        large?: {
            url?: string | null;
            width?: number | null;
            height?: number | null;
            mimeType?: string | null;
            filesize?: number | null;
            filename?: string | null;
        };
        xlarge?: {
            url?: string | null;
            width?: number | null;
            height?: number | null;
            mimeType?: string | null;
            filesize?: number | null;
            filename?: string | null;
        };
    };
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "customers".
 */
export interface Customer {
    id: number;
    name: string;
    intro?: string | null;
    active?: boolean | null;
    icon?: (number | null) | Media;
    updatedAt: string;
    createdAt: string;
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "events".
 */
export interface Event {
    id: number;
    title: string;
    date: string;
    description?: string | null;
    eventType: 'birthday' | 'companyEvent' | 'workAnniversary' | 'other';
    image?: (number | null) | Media;
    recurrence?: {
        interval?: number | null;
        unit?: ('none' | 'days' | 'weeks' | 'months' | 'years') | null;
        recurrenceEndDate?: string | null;
        originalEventId?: string | null;
        isRecurrenceInstance?: boolean | null;
    };
    updatedAt: string;
    createdAt: string;
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "case-studies".
 */
export interface CaseStudy {
    id: number;
    title: string;
    customer?: (number | null) | Customer;
    color?: string | null;
    industry: 'technology' | 'finance' | 'healthcare' | 'retail';
    metrics?: {
        label: string;
        value: string;
        id?: string | null;
    }[] | null;
    quote?: string | null;
    content: {
        root: {
            type: string;
            children: {
                type: string;
                version: number;
                [k: string]: unknown;
            }[];
            direction: ('ltr' | 'rtl') | null;
            format: 'left' | 'start' | 'center' | 'right' | 'end' | 'justify' | '';
            indent: number;
            version: number;
        };
        [k: string]: unknown;
    };
    relatedPosts?: (number | Post)[] | null;
    categories?: (number | Category)[] | null;
    meta?: {
        title?: string | null;
        /**
         * Maximum upload file size: 12MB. Recommended file size for images is <500KB.
         */
        image?: (number | null) | Media;
        description?: string | null;
    };
    publishedAt?: string | null;
    authors?: (number | User)[] | null;
    populatedAuthors?: {
        id?: string | null;
        name?: string | null;
    }[] | null;
    slug?: string | null;
    slugLock?: boolean | null;
    updatedAt: string;
    createdAt: string;
    _status?: ('draft' | 'published') | null;
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "holidays".
 */
export interface Holiday {
    id: number;
    userName?: (number | null) | User;
    startDate: string;
    endDate: string;
    status: 'requested' | 'approved' | 'rejected';
    leaveType: 'Full Day' | 'Morning' | 'Afternoon';
    totalDays: number;
    approver?: (number | null) | User;
    updatedAt: string;
    createdAt: string;
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "deals".
 */
export interface Deal {
    id: number;
    customer?: (number | null) | Customer;
    value: number;
    assignee?: (number | null) | User;
    status: 'Cold' | 'Qualified' | 'Proposal Made' | 'SoW Submitted' | 'Won' | 'Lost';
    categories?: (number | DealCategory)[] | null;
    dateLogged: string;
    closureDate?: string | null;
    description?: string | null;
    comments?: {
        text: string;
        author: number | User;
        timestamp: string;
        id?: string | null;
    }[] | null;
    updatedAt: string;
    createdAt: string;
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "deal-categories".
 */
export interface DealCategory {
    id: number;
    name: string;
    type: 'proposition' | 'source' | 'sector';
    updatedAt: string;
    createdAt: string;
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "proposals".
 */
export interface Proposal {
    id: number;
    title: string;
    hero: {
        type: 'none' | 'highImpact' | 'mediumImpact' | 'lowImpact';
        richText?: {
            root: {
                type: string;
                children: {
                    type: string;
                    version: number;
                    [k: string]: unknown;
                }[];
                direction: ('ltr' | 'rtl') | null;
                format: 'left' | 'start' | 'center' | 'right' | 'end' | 'justify' | '';
                indent: number;
                version: number;
            };
            [k: string]: unknown;
        } | null;
        links?: {
            link: {
                type?: ('reference' | 'custom' | 'none') | null;
                newTab?: boolean | null;
                reference?: {
                    relationTo: 'pages';
                    value: number | Page;
                } | null;
                url?: string | null;
                label: string;
                /**
                 * Choose how the link should be rendered.
                 */
                appearance?: ('default' | 'outline') | null;
            };
            id?: string | null;
        }[] | null;
        media?: (number | null) | Media;
    };
    layout: (CallToActionBlock | ContentBlock | MediaBlock | ImageBlock | FormBlock | FeaturesBlock | ReusableContentBlock)[];
    publishedAt?: string | null;
    authors?: (number | User)[] | null;
    populatedAuthors?: {
        id?: string | null;
        name?: string | null;
    }[] | null;
    slug?: string | null;
    slugLock?: boolean | null;
    updatedAt: string;
    createdAt: string;
    _status?: ('draft' | 'published') | null;
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "redirects".
 */
export interface Redirect {
    id: number;
    /**
     * You will need to rebuild the website when changing this field.
     */
    from: string;
    to?: {
        type?: ('reference' | 'custom') | null;
        reference?: ({
            relationTo: 'pages';
            value: number | Page;
        } | null) | ({
            relationTo: 'posts';
            value: number | Post;
        } | null);
        url?: string | null;
    };
    updatedAt: string;
    createdAt: string;
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "form-submissions".
 */
export interface FormSubmission {
    id: number;
    form: number | Form;
    submissionData?: {
        field: string;
        value: string;
        id?: string | null;
    }[] | null;
    updatedAt: string;
    createdAt: string;
}
/**
 * This is a collection of automatically created search results. These results are used by the global site search and will be updated automatically as documents in the CMS are created or updated.
 *
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "search".
 */
export interface Search {
    id: number;
    title?: string | null;
    priority?: number | null;
    doc: {
        relationTo: 'posts';
        value: number | Post;
    };
    slug?: string | null;
    meta?: {
        title?: string | null;
        description?: string | null;
        image?: (number | null) | Media;
    };
    categories?: {
        relationTo?: string | null;
        id?: string | null;
        title?: string | null;
    }[] | null;
    updatedAt: string;
    createdAt: string;
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "payload-jobs".
 */
export interface PayloadJob {
    id: number;
    /**
     * Input data provided to the job
     */
    input?: {
        [k: string]: unknown;
    } | unknown[] | string | number | boolean | null;
    taskStatus?: {
        [k: string]: unknown;
    } | unknown[] | string | number | boolean | null;
    completedAt?: string | null;
    totalTried?: number | null;
    /**
     * If hasError is true this job will not be retried
     */
    hasError?: boolean | null;
    /**
     * If hasError is true, this is the error that caused it
     */
    error?: {
        [k: string]: unknown;
    } | unknown[] | string | number | boolean | null;
    /**
     * Task execution log
     */
    log?: {
        executedAt: string;
        completedAt: string;
        taskSlug: 'inline' | 'schedulePublish';
        taskID: string;
        input?: {
            [k: string]: unknown;
        } | unknown[] | string | number | boolean | null;
        output?: {
            [k: string]: unknown;
        } | unknown[] | string | number | boolean | null;
        state: 'failed' | 'succeeded';
        error?: {
            [k: string]: unknown;
        } | unknown[] | string | number | boolean | null;
        id?: string | null;
    }[] | null;
    workflowSlug?: 'updateEvents' | null;
    taskSlug?: ('inline' | 'schedulePublish') | null;
    queue?: string | null;
    waitUntil?: string | null;
    processing?: boolean | null;
    updatedAt: string;
    createdAt: string;
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "payload-locked-documents".
 */
export interface PayloadLockedDocument {
    id: number;
    document?: ({
        relationTo: 'pages';
        value: number | Page;
    } | null) | ({
        relationTo: 'assessment';
        value: number | Assessment;
    } | null) | ({
        relationTo: 'assessment-answers';
        value: number | AssessmentAnswer;
    } | null) | ({
        relationTo: 'published-pages';
        value: number | PublishedPage;
    } | null) | ({
        relationTo: 'reusable-content';
        value: number | ReusableContent;
    } | null) | ({
        relationTo: 'posts';
        value: number | Post;
    } | null) | ({
        relationTo: 'published-posts';
        value: number | PublishedPost;
    } | null) | ({
        relationTo: 'media';
        value: number | Media;
    } | null) | ({
        relationTo: 'media-profiles';
        value: number | MediaProfile;
    } | null) | ({
        relationTo: 'media-brand-images';
        value: number | MediaBrandImage;
    } | null) | ({
        relationTo: 'images';
        value: number | Image;
    } | null) | ({
        relationTo: 'categories';
        value: number | Category;
    } | null) | ({
        relationTo: 'users';
        value: number | User;
    } | null) | ({
        relationTo: 'customers';
        value: number | Customer;
    } | null) | ({
        relationTo: 'events';
        value: number | Event;
    } | null) | ({
        relationTo: 'propositions';
        value: number | Proposition;
    } | null) | ({
        relationTo: 'case-studies';
        value: number | CaseStudy;
    } | null) | ({
        relationTo: 'holidays';
        value: number | Holiday;
    } | null) | ({
        relationTo: 'deals';
        value: number | Deal;
    } | null) | ({
        relationTo: 'deal-categories';
        value: number | DealCategory;
    } | null) | ({
        relationTo: 'proposals';
        value: number | Proposal;
    } | null) | ({
        relationTo: 'redirects';
        value: number | Redirect;
    } | null) | ({
        relationTo: 'forms';
        value: number | Form;
    } | null) | ({
        relationTo: 'form-submissions';
        value: number | FormSubmission;
    } | null) | ({
        relationTo: 'search';
        value: number | Search;
    } | null) | ({
        relationTo: 'payload-jobs';
        value: number | PayloadJob;
    } | null);
    globalSlug?: string | null;
    user: {
        relationTo: 'users';
        value: number | User;
    };
    updatedAt: string;
    createdAt: string;
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "payload-preferences".
 */
export interface PayloadPreference {
    id: number;
    user: {
        relationTo: 'users';
        value: number | User;
    };
    key?: string | null;
    value?: {
        [k: string]: unknown;
    } | unknown[] | string | number | boolean | null;
    updatedAt: string;
    createdAt: string;
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "payload-migrations".
 */
export interface PayloadMigration {
    id: number;
    name?: string | null;
    batch?: number | null;
    updatedAt: string;
    createdAt: string;
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "pages_select".
 */
export interface PagesSelect<T extends boolean = true> {
    title?: T;
    hero?: T | {
        type?: T;
        richText?: T;
        links?: T | {
            link?: T | {
                type?: T;
                newTab?: T;
                reference?: T;
                url?: T;
                label?: T;
                appearance?: T;
            };
            id?: T;
        };
        media?: T;
    };
    layout?: T | {
        cta?: T | CallToActionBlockSelect<T>;
        collasibleArea?: T | CollapsibleAreaBlockSelect<T>;
        content?: T | ContentBlockSelect<T>;
        mediaBlock?: T | MediaBlockSelect<T>;
        imageBlock?: T | ImageBlockSelect<T>;
        archive?: T | ArchiveBlockSelect<T>;
        formBlock?: T | FormBlockSelect<T>;
        features?: T | FeaturesBlockSelect<T>;
        reusableContentBlock?: T | ReusableContentBlockSelect<T>;
    };
    meta?: T | {
        title?: T;
        image?: T;
        description?: T;
    };
    publishedAt?: T;
    relatedDocument?: T;
    links?: T | {
        link?: T | {
            type?: T;
            newTab?: T;
            reference?: T;
            url?: T;
            label?: T;
        };
        id?: T;
    };
    slug?: T;
    slugLock?: T;
    parent?: T;
    breadcrumbs?: T | {
        doc?: T;
        url?: T;
        label?: T;
        id?: T;
    };
    updatedAt?: T;
    createdAt?: T;
    _status?: T;
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "CallToActionBlock_select".
 */
export interface CallToActionBlockSelect<T extends boolean = true> {
    richText?: T;
    links?: T | {
        link?: T | {
            type?: T;
            newTab?: T;
            reference?: T;
            url?: T;
            label?: T;
            appearance?: T;
        };
        id?: T;
    };
    id?: T;
    blockName?: T;
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "CollapsibleAreaBlock_select".
 */
export interface CollapsibleAreaBlockSelect<T extends boolean = true> {
    title?: T;
    richText?: T;
    id?: T;
    blockName?: T;
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "ContentBlock_select".
 */
export interface ContentBlockSelect<T extends boolean = true> {
    theme?: T | {
        settings?: T | {
            theme?: T;
            background?: T;
            image?: T;
            overlay?: T;
            box?: T;
        };
    };
    columns?: T | {
        size?: T;
        richText?: T;
        enableLink?: T;
        link?: T | {
            type?: T;
            newTab?: T;
            reference?: T;
            url?: T;
            label?: T;
            appearance?: T;
        };
        id?: T;
    };
    id?: T;
    blockName?: T;
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "MediaBlock_select".
 */
export interface MediaBlockSelect<T extends boolean = true> {
    theme?: T | {
        settings?: T | {
            theme?: T;
            background?: T;
            image?: T;
            overlay?: T;
        };
    };
    media?: T;
    id?: T;
    blockName?: T;
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "ImageBlock_select".
 */
export interface ImageBlockSelect<T extends boolean = true> {
    theme?: T | {
        settings?: T | {
            theme?: T;
            background?: T;
            image?: T;
            overlay?: T;
        };
    };
    media?: T;
    id?: T;
    blockName?: T;
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "ArchiveBlock_select".
 */
export interface ArchiveBlockSelect<T extends boolean = true> {
    introContent?: T;
    populateBy?: T;
    relationTo?: T;
    categories?: T;
    limit?: T;
    selectedDocs?: T;
    id?: T;
    blockName?: T;
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "FormBlock_select".
 */
export interface FormBlockSelect<T extends boolean = true> {
    form?: T;
    enableIntro?: T;
    introContent?: T;
    id?: T;
    blockName?: T;
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "FeaturesBlock_select".
 */
export interface FeaturesBlockSelect<T extends boolean = true> {
    theme?: T | {
        settings?: T | {
            theme?: T;
            background?: T;
            image?: T;
            overlay?: T;
        };
    };
    title?: T;
    description?: T;
    features?: T | {
        title?: T;
        settings?: T | {
            card?: T;
            iconSize?: T;
        };
        link?: T | {
            type?: T;
            newTab?: T;
            reference?: T;
            url?: T;
        };
        icon?: T | {
            type?: T;
            icon?: T;
        };
        statistic?: T;
        content?: T;
        id?: T;
    };
    id?: T;
    blockName?: T;
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "ReusableContentBlock_select".
 */
export interface ReusableContentBlockSelect<T extends boolean = true> {
    reusableContent?: T;
    customId?: T;
    id?: T;
    blockName?: T;
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "assessment_select".
 */
export interface AssessmentSelect<T extends boolean = true> {
    assessmentType?: T;
    title?: T;
    sections?: T | {
        'section-title'?: T;
        questions?: T | {
            text?: T;
            'answer-options'?: T;
            'free-text'?: T;
            weighting?: T;
            id?: T;
        };
        id?: T;
    };
    updatedAt?: T;
    createdAt?: T;
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "assessment-answers_select".
 */
export interface AssessmentAnswersSelect<T extends boolean = true> {
    assessment?: T;
    sections?: T | {
        'section-title'?: T;
        questions?: T | {
            questionText?: T;
            answerSelected?: T;
            freeTextResponse?: T;
            weighting?: T;
            id?: T;
        };
        id?: T;
    };
    updatedAt?: T;
    createdAt?: T;
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "published-pages_select".
 */
export interface PublishedPagesSelect<T extends boolean = true> {
    title?: T;
    hero?: T | {
        type?: T;
        richText?: T;
        links?: T | {
            link?: T | {
                type?: T;
                newTab?: T;
                reference?: T;
                url?: T;
                label?: T;
                appearance?: T;
            };
            id?: T;
        };
        media?: T;
    };
    layout?: T | {
        cta?: T | CallToActionBlockSelect<T>;
        collasibleArea?: T | CollapsibleAreaBlockSelect<T>;
        content?: T | ContentBlockSelect<T>;
        mediaBlock?: T | MediaBlockSelect<T>;
        imageBlock?: T | ImageBlockSelect<T>;
        archive?: T | ArchiveBlockSelect<T>;
        formBlock?: T | FormBlockSelect<T>;
        features?: T | FeaturesBlockSelect<T>;
        reusableContentBlock?: T | ReusableContentBlockSelect<T>;
    };
    meta?: T | {
        title?: T;
        image?: T;
        description?: T;
    };
    publishedAt?: T;
    relatedDocument?: T;
    links?: T | {
        link?: T | {
            type?: T;
            newTab?: T;
            reference?: T;
            url?: T;
            label?: T;
        };
        id?: T;
    };
    slug?: T;
    slugLock?: T;
    pageId?: T;
    updatedAt?: T;
    createdAt?: T;
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "reusable-content_select".
 */
export interface ReusableContentSelect<T extends boolean = true> {
    title?: T;
    hero?: T | {
        type?: T;
        richText?: T;
        links?: T | {
            link?: T | {
                type?: T;
                newTab?: T;
                reference?: T;
                url?: T;
                label?: T;
                appearance?: T;
            };
            id?: T;
        };
        media?: T;
    };
    layout?: T | {
        cta?: T | CallToActionBlockSelect<T>;
        collasibleArea?: T | CollapsibleAreaBlockSelect<T>;
        content?: T | ContentBlockSelect<T>;
        mediaBlock?: T | MediaBlockSelect<T>;
        imageBlock?: T | ImageBlockSelect<T>;
        archive?: T | ArchiveBlockSelect<T>;
        formBlock?: T | FormBlockSelect<T>;
        features?: T | FeaturesBlockSelect<T>;
        reusableContentBlock?: T | ReusableContentBlockSelect<T>;
    };
    meta?: T | {
        title?: T;
        image?: T;
        description?: T;
    };
    publishedAt?: T;
    relatedDocument?: T;
    links?: T | {
        link?: T | {
            type?: T;
            newTab?: T;
            reference?: T;
            url?: T;
            label?: T;
        };
        id?: T;
    };
    slug?: T;
    slugLock?: T;
    updatedAt?: T;
    createdAt?: T;
    _status?: T;
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "posts_select".
 */
export interface PostsSelect<T extends boolean = true> {
    title?: T;
    content?: T;
    relatedPosts?: T;
    categories?: T;
    meta?: T | {
        title?: T;
        image?: T;
        description?: T;
    };
    publishedAt?: T;
    authors?: T;
    populatedAuthors?: T | {
        id?: T;
        name?: T;
    };
    slug?: T;
    slugLock?: T;
    updatedAt?: T;
    createdAt?: T;
    _status?: T;
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "published-posts_select".
 */
export interface PublishedPostsSelect<T extends boolean = true> {
    title?: T;
    content?: T;
    relatedPosts?: T;
    categories?: T;
    meta?: T | {
        title?: T;
        image?: T;
        description?: T;
    };
    publishedAt?: T;
    authors?: T;
    populatedAuthors?: T | {
        id?: T;
        name?: T;
    };
    slug?: T;
    slugLock?: T;
    updatedAt?: T;
    createdAt?: T;
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "media_select".
 */
export interface MediaSelect<T extends boolean = true> {
    alt?: T;
    prefix?: T;
    updatedAt?: T;
    createdAt?: T;
    url?: T;
    thumbnailURL?: T;
    filename?: T;
    mimeType?: T;
    filesize?: T;
    width?: T;
    height?: T;
    focalX?: T;
    focalY?: T;
    sizes?: T | {
        thumbnail?: T | {
            url?: T;
            width?: T;
            height?: T;
            mimeType?: T;
            filesize?: T;
            filename?: T;
        };
        square?: T | {
            url?: T;
            width?: T;
            height?: T;
            mimeType?: T;
            filesize?: T;
            filename?: T;
        };
        small?: T | {
            url?: T;
            width?: T;
            height?: T;
            mimeType?: T;
            filesize?: T;
            filename?: T;
        };
        medium?: T | {
            url?: T;
            width?: T;
            height?: T;
            mimeType?: T;
            filesize?: T;
            filename?: T;
        };
        large?: T | {
            url?: T;
            width?: T;
            height?: T;
            mimeType?: T;
            filesize?: T;
            filename?: T;
        };
        xlarge?: T | {
            url?: T;
            width?: T;
            height?: T;
            mimeType?: T;
            filesize?: T;
            filename?: T;
        };
    };
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "media-profiles_select".
 */
export interface MediaProfilesSelect<T extends boolean = true> {
    name?: T;
    prefix?: T;
    updatedAt?: T;
    createdAt?: T;
    url?: T;
    thumbnailURL?: T;
    filename?: T;
    mimeType?: T;
    filesize?: T;
    width?: T;
    height?: T;
    focalX?: T;
    focalY?: T;
    sizes?: T | {
        thumbnail?: T | {
            url?: T;
            width?: T;
            height?: T;
            mimeType?: T;
            filesize?: T;
            filename?: T;
        };
        square?: T | {
            url?: T;
            width?: T;
            height?: T;
            mimeType?: T;
            filesize?: T;
            filename?: T;
        };
        small?: T | {
            url?: T;
            width?: T;
            height?: T;
            mimeType?: T;
            filesize?: T;
            filename?: T;
        };
        medium?: T | {
            url?: T;
            width?: T;
            height?: T;
            mimeType?: T;
            filesize?: T;
            filename?: T;
        };
    };
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "media-brand-images_select".
 */
export interface MediaBrandImagesSelect<T extends boolean = true> {
    alt?: T;
    prefix?: T;
    updatedAt?: T;
    createdAt?: T;
    url?: T;
    thumbnailURL?: T;
    filename?: T;
    mimeType?: T;
    filesize?: T;
    width?: T;
    height?: T;
    focalX?: T;
    focalY?: T;
    sizes?: T | {
        thumbnail?: T | {
            url?: T;
            width?: T;
            height?: T;
            mimeType?: T;
            filesize?: T;
            filename?: T;
        };
        square?: T | {
            url?: T;
            width?: T;
            height?: T;
            mimeType?: T;
            filesize?: T;
            filename?: T;
        };
        small?: T | {
            url?: T;
            width?: T;
            height?: T;
            mimeType?: T;
            filesize?: T;
            filename?: T;
        };
        medium?: T | {
            url?: T;
            width?: T;
            height?: T;
            mimeType?: T;
            filesize?: T;
            filename?: T;
        };
        large?: T | {
            url?: T;
            width?: T;
            height?: T;
            mimeType?: T;
            filesize?: T;
            filename?: T;
        };
        xlarge?: T | {
            url?: T;
            width?: T;
            height?: T;
            mimeType?: T;
            filesize?: T;
            filename?: T;
        };
    };
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "images_select".
 */
export interface ImagesSelect<T extends boolean = true> {
    alt?: T;
    prefix?: T;
    updatedAt?: T;
    createdAt?: T;
    url?: T;
    thumbnailURL?: T;
    filename?: T;
    mimeType?: T;
    filesize?: T;
    width?: T;
    height?: T;
    focalX?: T;
    focalY?: T;
    sizes?: T | {
        thumbnail?: T | {
            url?: T;
            width?: T;
            height?: T;
            mimeType?: T;
            filesize?: T;
            filename?: T;
        };
        square?: T | {
            url?: T;
            width?: T;
            height?: T;
            mimeType?: T;
            filesize?: T;
            filename?: T;
        };
        small?: T | {
            url?: T;
            width?: T;
            height?: T;
            mimeType?: T;
            filesize?: T;
            filename?: T;
        };
        medium?: T | {
            url?: T;
            width?: T;
            height?: T;
            mimeType?: T;
            filesize?: T;
            filename?: T;
        };
        large?: T | {
            url?: T;
            width?: T;
            height?: T;
            mimeType?: T;
            filesize?: T;
            filename?: T;
        };
        xlarge?: T | {
            url?: T;
            width?: T;
            height?: T;
            mimeType?: T;
            filesize?: T;
            filename?: T;
        };
    };
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "categories_select".
 */
export interface CategoriesSelect<T extends boolean = true> {
    title?: T;
    parent?: T;
    breadcrumbs?: T | {
        doc?: T;
        url?: T;
        label?: T;
        id?: T;
    };
    updatedAt?: T;
    createdAt?: T;
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "users_select".
 */
export interface UsersSelect<T extends boolean = true> {
    name?: T;
    email?: T;
    jobRole?: T;
    manager?: T;
    about?: T;
    profilePicture?: T;
    workHistory?: T | {
        company?: T;
        position?: T;
        startDate?: T;
        endDate?: T;
        description?: T;
        id?: T;
    };
    certifications?: T | {
        name?: T;
        issuer?: T;
        dateObtained?: T;
        expirationDate?: T;
        id?: T;
    };
    areasOfExpertise?: T | {
        area?: T;
        description?: T;
        id?: T;
    };
    dateOfBirth?: T;
    joinDate?: T;
    linkedIn?: T;
    role?: T;
    updatedAt?: T;
    createdAt?: T;
    enableAPIKey?: T;
    apiKey?: T;
    apiKeyIndex?: T;
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "customers_select".
 */
export interface CustomersSelect<T extends boolean = true> {
    name?: T;
    intro?: T;
    active?: T;
    icon?: T;
    updatedAt?: T;
    createdAt?: T;
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "events_select".
 */
export interface EventsSelect<T extends boolean = true> {
    title?: T;
    date?: T;
    description?: T;
    eventType?: T;
    image?: T;
    recurrence?: T | {
        interval?: T;
        unit?: T;
        recurrenceEndDate?: T;
        originalEventId?: T;
        isRecurrenceInstance?: T;
    };
    updatedAt?: T;
    createdAt?: T;
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "propositions_select".
 */
export interface PropositionsSelect<T extends boolean = true> {
    name?: T;
    intro?: T;
    logo?: T;
    icon?: T | {
        type?: T;
        icon?: T;
    };
    leads?: T;
    members?: T;
    populatedLeads?: T | {
        id?: T;
        name?: T;
    };
    populatedMembers?: T | {
        id?: T;
        name?: T;
    };
    hero?: T | {
        type?: T;
        richText?: T;
        links?: T | {
            link?: T | {
                type?: T;
                newTab?: T;
                reference?: T;
                url?: T;
                label?: T;
                appearance?: T;
            };
            id?: T;
        };
        media?: T;
    };
    layout?: T | {
        cta?: T | CallToActionBlockSelect<T>;
        collasibleArea?: T | CollapsibleAreaBlockSelect<T>;
        content?: T | ContentBlockSelect<T>;
        mediaBlock?: T | MediaBlockSelect<T>;
        imageBlock?: T | ImageBlockSelect<T>;
        archive?: T | ArchiveBlockSelect<T>;
        features?: T | FeaturesBlockSelect<T>;
    };
    meta?: T | {
        title?: T;
        image?: T;
        description?: T;
    };
    publishedAt?: T;
    publishedInternal?: T;
    landingPage?: T;
    slug?: T;
    slugLock?: T;
    parent?: T;
    breadcrumbs?: T | {
        doc?: T;
        url?: T;
        label?: T;
        id?: T;
    };
    updatedAt?: T;
    createdAt?: T;
    _status?: T;
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "case-studies_select".
 */
export interface CaseStudiesSelect<T extends boolean = true> {
    title?: T;
    customer?: T;
    color?: T;
    industry?: T;
    metrics?: T | {
        label?: T;
        value?: T;
        id?: T;
    };
    quote?: T;
    content?: T;
    relatedPosts?: T;
    categories?: T;
    meta?: T | {
        title?: T;
        image?: T;
        description?: T;
    };
    publishedAt?: T;
    authors?: T;
    populatedAuthors?: T | {
        id?: T;
        name?: T;
    };
    slug?: T;
    slugLock?: T;
    updatedAt?: T;
    createdAt?: T;
    _status?: T;
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "holidays_select".
 */
export interface HolidaysSelect<T extends boolean = true> {
    userName?: T;
    startDate?: T;
    endDate?: T;
    status?: T;
    leaveType?: T;
    totalDays?: T;
    approver?: T;
    updatedAt?: T;
    createdAt?: T;
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "deals_select".
 */
export interface DealsSelect<T extends boolean = true> {
    customer?: T;
    value?: T;
    assignee?: T;
    status?: T;
    categories?: T;
    dateLogged?: T;
    closureDate?: T;
    description?: T;
    comments?: T | {
        text?: T;
        author?: T;
        timestamp?: T;
        id?: T;
    };
    updatedAt?: T;
    createdAt?: T;
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "deal-categories_select".
 */
export interface DealCategoriesSelect<T extends boolean = true> {
    name?: T;
    type?: T;
    updatedAt?: T;
    createdAt?: T;
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "proposals_select".
 */
export interface ProposalsSelect<T extends boolean = true> {
    title?: T;
    hero?: T | {
        type?: T;
        richText?: T;
        links?: T | {
            link?: T | {
                type?: T;
                newTab?: T;
                reference?: T;
                url?: T;
                label?: T;
                appearance?: T;
            };
            id?: T;
        };
        media?: T;
    };
    layout?: T | {
        cta?: T | CallToActionBlockSelect<T>;
        content?: T | ContentBlockSelect<T>;
        mediaBlock?: T | MediaBlockSelect<T>;
        imageBlock?: T | ImageBlockSelect<T>;
        formBlock?: T | FormBlockSelect<T>;
        features?: T | FeaturesBlockSelect<T>;
        reusableContentBlock?: T | ReusableContentBlockSelect<T>;
    };
    publishedAt?: T;
    authors?: T;
    populatedAuthors?: T | {
        id?: T;
        name?: T;
    };
    slug?: T;
    slugLock?: T;
    updatedAt?: T;
    createdAt?: T;
    _status?: T;
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "redirects_select".
 */
export interface RedirectsSelect<T extends boolean = true> {
    from?: T;
    to?: T | {
        type?: T;
        reference?: T;
        url?: T;
    };
    updatedAt?: T;
    createdAt?: T;
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "forms_select".
 */
export interface FormsSelect<T extends boolean = true> {
    title?: T;
    fields?: T | {
        checkbox?: T | {
            name?: T;
            label?: T;
            width?: T;
            required?: T;
            defaultValue?: T;
            id?: T;
            blockName?: T;
        };
        country?: T | {
            name?: T;
            label?: T;
            width?: T;
            required?: T;
            id?: T;
            blockName?: T;
        };
        email?: T | {
            name?: T;
            label?: T;
            width?: T;
            required?: T;
            id?: T;
            blockName?: T;
        };
        message?: T | {
            message?: T;
            id?: T;
            blockName?: T;
        };
        number?: T | {
            name?: T;
            label?: T;
            width?: T;
            defaultValue?: T;
            required?: T;
            id?: T;
            blockName?: T;
        };
        select?: T | {
            name?: T;
            label?: T;
            width?: T;
            defaultValue?: T;
            options?: T | {
                label?: T;
                value?: T;
                id?: T;
            };
            required?: T;
            id?: T;
            blockName?: T;
        };
        state?: T | {
            name?: T;
            label?: T;
            width?: T;
            required?: T;
            id?: T;
            blockName?: T;
        };
        text?: T | {
            name?: T;
            label?: T;
            width?: T;
            defaultValue?: T;
            required?: T;
            id?: T;
            blockName?: T;
        };
        textarea?: T | {
            name?: T;
            label?: T;
            width?: T;
            defaultValue?: T;
            required?: T;
            id?: T;
            blockName?: T;
        };
    };
    submitButtonLabel?: T;
    confirmationType?: T;
    confirmationMessage?: T;
    redirect?: T | {
        url?: T;
    };
    emails?: T | {
        emailTo?: T;
        cc?: T;
        bcc?: T;
        replyTo?: T;
        emailFrom?: T;
        subject?: T;
        message?: T;
        id?: T;
    };
    updatedAt?: T;
    createdAt?: T;
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "form-submissions_select".
 */
export interface FormSubmissionsSelect<T extends boolean = true> {
    form?: T;
    submissionData?: T | {
        field?: T;
        value?: T;
        id?: T;
    };
    updatedAt?: T;
    createdAt?: T;
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "search_select".
 */
export interface SearchSelect<T extends boolean = true> {
    title?: T;
    priority?: T;
    doc?: T;
    slug?: T;
    meta?: T | {
        title?: T;
        description?: T;
        image?: T;
    };
    categories?: T | {
        relationTo?: T;
        id?: T;
        title?: T;
    };
    updatedAt?: T;
    createdAt?: T;
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "payload-jobs_select".
 */
export interface PayloadJobsSelect<T extends boolean = true> {
    input?: T;
    taskStatus?: T;
    completedAt?: T;
    totalTried?: T;
    hasError?: T;
    error?: T;
    log?: T | {
        executedAt?: T;
        completedAt?: T;
        taskSlug?: T;
        taskID?: T;
        input?: T;
        output?: T;
        state?: T;
        error?: T;
        id?: T;
    };
    workflowSlug?: T;
    taskSlug?: T;
    queue?: T;
    waitUntil?: T;
    processing?: T;
    updatedAt?: T;
    createdAt?: T;
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "payload-locked-documents_select".
 */
export interface PayloadLockedDocumentsSelect<T extends boolean = true> {
    document?: T;
    globalSlug?: T;
    user?: T;
    updatedAt?: T;
    createdAt?: T;
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "payload-preferences_select".
 */
export interface PayloadPreferencesSelect<T extends boolean = true> {
    user?: T;
    key?: T;
    value?: T;
    updatedAt?: T;
    createdAt?: T;
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "payload-migrations_select".
 */
export interface PayloadMigrationsSelect<T extends boolean = true> {
    name?: T;
    batch?: T;
    updatedAt?: T;
    createdAt?: T;
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "header".
 */
export interface Header {
    id: number;
    menuItems?: {
        name: string;
        link?: {
            type?: ('reference' | 'custom' | 'none') | null;
            newTab?: boolean | null;
            reference?: {
                relationTo: 'pages';
                value: number | Page;
            } | null;
            url?: string | null;
        };
        items?: {
            name: string;
            description?: string | null;
            link?: {
                type?: ('reference' | 'custom' | 'none') | null;
                newTab?: boolean | null;
                reference?: {
                    relationTo: 'pages';
                    value: number | Page;
                } | null;
                url?: string | null;
            };
            icon: {
                type: 'fa-kit' | 'fa-light' | 'fa-thin' | 'fa-brands' | 'image';
                /**
                 * Provide the FontAwesome icon name (e.g., "fa-home").
                 */
                icon?: string | null;
                /**
                 * Select an image from the images collection.
                 */
                image?: (number | null) | Image;
            };
            id?: string | null;
        }[] | null;
        actions?: {
            name: string;
            link: {
                type?: ('reference' | 'custom' | 'none') | null;
                newTab?: boolean | null;
                reference?: {
                    relationTo: 'pages';
                    value: number | Page;
                } | null;
                url?: string | null;
                label: string;
            };
            icon: {
                type: 'fa-kit' | 'fa-light' | 'fa-thin' | 'fa-brands' | 'image';
                /**
                 * Provide the FontAwesome icon name (e.g., "fa-home").
                 */
                icon?: string | null;
                /**
                 * Select an image from the images collection.
                 */
                image?: (number | null) | Image;
            };
            id?: string | null;
        }[] | null;
        id?: string | null;
    }[] | null;
    updatedAt?: string | null;
    createdAt?: string | null;
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "footer".
 */
export interface Footer {
    id: number;
    navItems?: {
        link: {
            type?: ('reference' | 'custom' | 'none') | null;
            newTab?: boolean | null;
            reference?: {
                relationTo: 'pages';
                value: number | Page;
            } | null;
            url?: string | null;
            label: string;
        };
        id?: string | null;
    }[] | null;
    updatedAt?: string | null;
    createdAt?: string | null;
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "message-of-the-day".
 */
export interface MessageOfTheDay {
    id: number;
    title: string;
    text?: string | null;
    link?: string | null;
    updatedAt?: string | null;
    createdAt?: string | null;
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "website".
 */
export interface Website {
    id: number;
    intro: Intro;
    propositions?: {
        name: string;
        shortDescription: string;
        description?: {
            root: {
                type: string;
                children: {
                    type: string;
                    version: number;
                    [k: string]: unknown;
                }[];
                direction: ('ltr' | 'rtl') | null;
                format: 'left' | 'start' | 'center' | 'right' | 'end' | 'justify' | '';
                indent: number;
                version: number;
            };
            [k: string]: unknown;
        } | null;
        /**
         * Proposition public landing page
         */
        landingPage?: {
            relationTo: 'pages';
            value: number | Page;
        } | null;
        icon: {
            type: 'fa-kit' | 'fa-light' | 'fa-thin' | 'fa-brands';
            /**
             * Provide the FontAwesome icon name (e.g., "fa-home").
             */
            icon?: string | null;
        };
        /**
         * Select an image from the images collection.
         */
        image?: (number | null) | Media;
        theme?: ('dark' | 'light') | null;
        id?: string | null;
    }[] | null;
    menuItems?: {
        name: string;
        link?: {
            type?: ('reference' | 'custom' | 'none') | null;
            newTab?: boolean | null;
            reference?: {
                relationTo: 'pages';
                value: number | Page;
            } | null;
            url?: string | null;
        };
        items?: {
            name: string;
            description?: string | null;
            link?: {
                type?: ('reference' | 'custom' | 'none') | null;
                newTab?: boolean | null;
                reference?: {
                    relationTo: 'pages';
                    value: number | Page;
                } | null;
                url?: string | null;
            };
            icon: {
                type: 'fa-kit' | 'fa-light' | 'fa-thin' | 'fa-brands' | 'image';
                /**
                 * Provide the FontAwesome icon name (e.g., "fa-home").
                 */
                icon?: string | null;
                /**
                 * Select an image from the images collection.
                 */
                image?: (number | null) | Image;
            };
            id?: string | null;
        }[] | null;
        actions?: {
            name: string;
            link: {
                type?: ('reference' | 'custom' | 'none') | null;
                newTab?: boolean | null;
                reference?: {
                    relationTo: 'pages';
                    value: number | Page;
                } | null;
                url?: string | null;
                label: string;
            };
            icon: {
                type: 'fa-kit' | 'fa-light' | 'fa-thin' | 'fa-brands' | 'image';
                /**
                 * Provide the FontAwesome icon name (e.g., "fa-home").
                 */
                icon?: string | null;
                /**
                 * Select an image from the images collection.
                 */
                image?: (number | null) | Image;
            };
            id?: string | null;
        }[] | null;
        id?: string | null;
    }[] | null;
    updatedAt?: string | null;
    createdAt?: string | null;
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "Intro".
 */
export interface Intro {
    title: string;
    subtitle?: string | null;
    description?: {
        root: {
            type: string;
            children: {
                type: string;
                version: number;
                [k: string]: unknown;
            }[];
            direction: ('ltr' | 'rtl') | null;
            format: 'left' | 'start' | 'center' | 'right' | 'end' | 'justify' | '';
            indent: number;
            version: number;
        };
        [k: string]: unknown;
    } | null;
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "header_select".
 */
export interface HeaderSelect<T extends boolean = true> {
    menuItems?: T | {
        name?: T;
        link?: T | {
            type?: T;
            newTab?: T;
            reference?: T;
            url?: T;
        };
        items?: T | {
            name?: T;
            description?: T;
            link?: T | {
                type?: T;
                newTab?: T;
                reference?: T;
                url?: T;
            };
            icon?: T | {
                type?: T;
                icon?: T;
                image?: T;
            };
            id?: T;
        };
        actions?: T | {
            name?: T;
            link?: T | {
                type?: T;
                newTab?: T;
                reference?: T;
                url?: T;
                label?: T;
            };
            icon?: T | {
                type?: T;
                icon?: T;
                image?: T;
            };
            id?: T;
        };
        id?: T;
    };
    updatedAt?: T;
    createdAt?: T;
    globalType?: T;
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "footer_select".
 */
export interface FooterSelect<T extends boolean = true> {
    navItems?: T | {
        link?: T | {
            type?: T;
            newTab?: T;
            reference?: T;
            url?: T;
            label?: T;
        };
        id?: T;
    };
    updatedAt?: T;
    createdAt?: T;
    globalType?: T;
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "message-of-the-day_select".
 */
export interface MessageOfTheDaySelect<T extends boolean = true> {
    title?: T;
    text?: T;
    link?: T;
    updatedAt?: T;
    createdAt?: T;
    globalType?: T;
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "website_select".
 */
export interface WebsiteSelect<T extends boolean = true> {
    intro?: T | IntroSelect<T>;
    propositions?: T | {
        name?: T;
        shortDescription?: T;
        description?: T;
        landingPage?: T;
        icon?: T | {
            type?: T;
            icon?: T;
        };
        image?: T;
        theme?: T;
        id?: T;
    };
    menuItems?: T | {
        name?: T;
        link?: T | {
            type?: T;
            newTab?: T;
            reference?: T;
            url?: T;
        };
        items?: T | {
            name?: T;
            description?: T;
            link?: T | {
                type?: T;
                newTab?: T;
                reference?: T;
                url?: T;
            };
            icon?: T | {
                type?: T;
                icon?: T;
                image?: T;
            };
            id?: T;
        };
        actions?: T | {
            name?: T;
            link?: T | {
                type?: T;
                newTab?: T;
                reference?: T;
                url?: T;
                label?: T;
            };
            icon?: T | {
                type?: T;
                icon?: T;
                image?: T;
            };
            id?: T;
        };
        id?: T;
    };
    updatedAt?: T;
    createdAt?: T;
    globalType?: T;
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "Intro_select".
 */
export interface IntroSelect<T extends boolean = true> {
    title?: T;
    subtitle?: T;
    description?: T;
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "TaskSchedulePublish".
 */
export interface TaskSchedulePublish {
    input: {
        type?: ('publish' | 'unpublish') | null;
        locale?: string | null;
        doc?: {
            relationTo: 'posts';
            value: number | Post;
        } | null;
        global?: string | null;
        user?: (number | null) | User;
    };
    output?: unknown;
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "WorkflowUpdateEvents".
 */
export interface WorkflowUpdateEvents {
    input?: unknown;
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "BannerBlock".
 */
export interface BannerBlock {
    style: 'info' | 'warning' | 'error' | 'success';
    content: {
        root: {
            type: string;
            children: {
                type: string;
                version: number;
                [k: string]: unknown;
            }[];
            direction: ('ltr' | 'rtl') | null;
            format: 'left' | 'start' | 'center' | 'right' | 'end' | 'justify' | '';
            indent: number;
            version: number;
        };
        [k: string]: unknown;
    };
    id?: string | null;
    blockName?: string | null;
    blockType: 'banner';
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "CodeBlock".
 */
export interface CodeBlock {
    language?: ('typescript' | 'javascript' | 'css') | null;
    code: string;
    id?: string | null;
    blockName?: string | null;
    blockType: 'code';
}
/**
 * This interface was referenced by `Config`'s JSON-Schema
 * via the `definition` "auth".
 */
export interface Auth {
    [k: string]: unknown;
}
