export declare const ImageTest: {
    hero: {
        id: number;
        alt: string;
        prefix: string;
        updatedAt: string;
        createdAt: string;
        url: string;
        thumbnailURL: string;
        filename: string;
        mimeType: string;
        filesize: number;
        width: number;
        height: number;
        focalX: number;
        focalY: number;
        sizes: {
            thumbnail: {
                url: string;
                width: number;
                height: number;
                mimeType: string;
                filesize: number;
                filename: string;
            };
            square: {
                url: string;
                width: number;
                height: number;
                mimeType: string;
                filesize: number;
                filename: string;
            };
            small: {
                url: string;
                width: number;
                height: number;
                mimeType: string;
                filesize: number;
                filename: string;
            };
            medium: {
                url: string;
                width: number;
                height: number;
                mimeType: string;
                filesize: number;
                filename: string;
            };
            large: {
                url: string;
                width: number;
                height: number;
                mimeType: string;
                filesize: number;
                filename: string;
            };
            xlarge: {
                url: string;
                width: number;
                height: number;
                mimeType: string;
                filesize: number;
                filename: string;
            };
        };
    };
};
export declare const RichTextTest: {
    simple: {
        root: {
            type: string;
            format: string;
            indent: number;
            version: number;
            children: {
                type: string;
                format: string;
                indent: number;
                version: number;
                children: {
                    mode: string;
                    text: string;
                    type: string;
                    style: string;
                    detail: number;
                    format: number;
                    version: number;
                }[];
                direction: string;
                textStyle: string;
                textFormat: number;
            }[];
            direction: string;
        };
    };
    medium: {
        root: {
            type: string;
            format: string;
            indent: number;
            version: number;
            children: ({
                tag: string;
                type: string;
                format: string;
                indent: number;
                version: number;
                children: {
                    mode: string;
                    text: string;
                    type: string;
                    style: string;
                    detail: number;
                    format: number;
                    version: number;
                }[];
                direction: string;
                textStyle?: undefined;
                textFormat?: undefined;
            } | {
                type: string;
                format: string;
                indent: number;
                version: number;
                children: {
                    mode: string;
                    text: string;
                    type: string;
                    style: string;
                    detail: number;
                    format: number;
                    version: number;
                }[];
                direction: string;
                textStyle: string;
                textFormat: number;
                tag?: undefined;
            } | {
                type: string;
                format: string;
                indent: number;
                version: number;
                children: never[];
                direction: null;
                textStyle: string;
                textFormat: number;
                tag?: undefined;
            })[];
            direction: string;
        };
    };
    titleAndBody: {
        root: {
            type: string;
            format: string;
            indent: number;
            version: number;
            children: ({
                tag: string;
                type: string;
                format: string;
                indent: number;
                version: number;
                children: {
                    mode: string;
                    text: string;
                    type: string;
                    style: string;
                    detail: number;
                    format: number;
                    version: number;
                }[];
                direction: string;
                textStyle?: undefined;
                textFormat?: undefined;
            } | {
                type: string;
                format: string;
                indent: number;
                version: number;
                children: {
                    mode: string;
                    text: string;
                    type: string;
                    style: string;
                    detail: number;
                    format: number;
                    version: number;
                }[];
                direction: string;
                textStyle: string;
                textFormat: number;
                tag?: undefined;
            } | {
                type: string;
                format: string;
                indent: number;
                version: number;
                children: never[];
                direction: null;
                textStyle: string;
                textFormat: number;
                tag?: undefined;
            })[];
            direction: string;
        };
    };
    simpleWithImage: {
        root: {
            type: string;
            format: string;
            indent: number;
            version: number;
            children: {
                type: string;
                format: string;
                indent: number;
                version: number;
                children: ({
                    mode: string;
                    text: string;
                    type: string;
                    style: string;
                    detail: number;
                    format: number;
                    version: number;
                    fields?: undefined;
                } | {
                    type: string;
                    fields: {
                        id: string;
                        media: {
                            id: number;
                            alt: string;
                            prefix: string;
                            updatedAt: string;
                            createdAt: string;
                            url: string;
                            thumbnailURL: string;
                            filename: string;
                            mimeType: string;
                            filesize: number;
                            width: number;
                            height: number;
                            focalX: number;
                            focalY: number;
                            sizes: {
                                thumbnail: {
                                    url: string;
                                    width: number;
                                    height: number;
                                    mimeType: string;
                                    filesize: number;
                                    filename: string;
                                };
                                square: {
                                    url: string;
                                    width: number;
                                    height: number;
                                    mimeType: string;
                                    filesize: number;
                                    filename: string;
                                };
                                small: {
                                    url: string;
                                    width: number;
                                    height: number;
                                    mimeType: string;
                                    filesize: number;
                                    filename: string;
                                };
                                medium: {
                                    url: string;
                                    width: number;
                                    height: number;
                                    mimeType: string;
                                    filesize: number;
                                    filename: string;
                                };
                                large: {
                                    url: string;
                                    width: number;
                                    height: number;
                                    mimeType: string;
                                    filesize: number;
                                    filename: string;
                                };
                                xlarge: {
                                    url: string;
                                    width: number;
                                    height: number;
                                    mimeType: string;
                                    filesize: number;
                                    filename: string;
                                };
                            };
                        };
                        theme: {
                            settings: {
                                theme: string;
                                background: string;
                            };
                        };
                        blockName: string;
                        blockType: string;
                    };
                    format: string;
                    version: number;
                    mode?: undefined;
                    text?: undefined;
                    style?: undefined;
                    detail?: undefined;
                })[];
                direction: string;
                textStyle: string;
                textFormat: number;
            }[];
            direction: string;
        };
    };
    simpleWithFeatures: {
        root: {
            type: string;
            format: string;
            indent: number;
            version: number;
            children: ({
                type: string;
                format: string;
                indent: number;
                version: number;
                children: {
                    mode: string;
                    text: string;
                    type: string;
                    style: string;
                    detail: number;
                    format: number;
                    version: number;
                }[];
                direction: string;
                textStyle: string;
                textFormat: number;
                fields?: undefined;
            } | {
                type: string;
                fields: {
                    id: string;
                    theme: {
                        settings: {
                            theme: string;
                            background: string;
                        };
                    };
                    features: {
                        id: string;
                        icon: {
                            icon: string;
                            type: string;
                        };
                        link: {
                            type: string;
                        };
                        title: string;
                        content: {
                            root: {
                                type: string;
                                format: string;
                                indent: number;
                                version: number;
                                children: {
                                    type: string;
                                    format: string;
                                    indent: number;
                                    version: number;
                                    children: {
                                        mode: string;
                                        text: string;
                                        type: string;
                                        style: string;
                                        detail: number;
                                        format: number;
                                        version: number;
                                    }[];
                                    direction: string;
                                    textStyle: string;
                                    textFormat: number;
                                }[];
                                direction: string;
                            };
                        };
                        settings: {
                            card: string;
                            iconSize: string;
                        };
                    }[];
                    blockName: string;
                    blockType: string;
                    description: {
                        root: {
                            type: string;
                            format: string;
                            indent: number;
                            version: number;
                            children: {
                                type: string;
                                format: string;
                                indent: number;
                                version: number;
                                children: {
                                    mode: string;
                                    text: string;
                                    type: string;
                                    style: string;
                                    detail: number;
                                    format: number;
                                    version: number;
                                }[];
                                direction: string;
                                textStyle: string;
                                textFormat: number;
                            }[];
                            direction: string;
                        };
                    };
                };
                format: string;
                version: number;
                indent?: undefined;
                children?: undefined;
                direction?: undefined;
                textStyle?: undefined;
                textFormat?: undefined;
            })[];
            direction: string;
        };
    };
    complex: {
        root: {
            children: ({
                type: string;
                text: string;
                format?: undefined;
                children?: undefined;
            } | {
                type: string;
                text: string;
                format: number;
                children?: undefined;
            } | {
                type: string;
                children: {
                    type: string;
                    children: {
                        type: string;
                        children: {
                            type: string;
                            text: string;
                        }[];
                    }[];
                }[];
                text?: undefined;
                format?: undefined;
            })[];
        };
    };
};
export declare const BlocksTest: {
    content: {
        halfWithEmbeddedImage: {
            id: string;
            blockName: null;
            columns: ({
                id: string;
                size: string;
                richText: {
                    root: {
                        type: string;
                        format: string;
                        indent: number;
                        version: number;
                        children: {
                            type: string;
                            format: string;
                            indent: number;
                            version: number;
                            children: ({
                                mode: string;
                                text: string;
                                type: string;
                                style: string;
                                detail: number;
                                format: number;
                                version: number;
                                fields?: undefined;
                            } | {
                                type: string;
                                fields: {
                                    id: string;
                                    media: {
                                        id: number;
                                        alt: string;
                                        prefix: string;
                                        updatedAt: string;
                                        createdAt: string;
                                        url: string;
                                        thumbnailURL: string;
                                        filename: string;
                                        mimeType: string;
                                        filesize: number;
                                        width: number;
                                        height: number;
                                        focalX: number;
                                        focalY: number;
                                        sizes: {
                                            thumbnail: {
                                                url: string;
                                                width: number;
                                                height: number;
                                                mimeType: string;
                                                filesize: number;
                                                filename: string;
                                            };
                                            square: {
                                                url: string;
                                                width: number;
                                                height: number;
                                                mimeType: string;
                                                filesize: number;
                                                filename: string;
                                            };
                                            small: {
                                                url: string;
                                                width: number;
                                                height: number;
                                                mimeType: string;
                                                filesize: number;
                                                filename: string;
                                            };
                                            medium: {
                                                url: string;
                                                width: number;
                                                height: number;
                                                mimeType: string;
                                                filesize: number;
                                                filename: string;
                                            };
                                            large: {
                                                url: string;
                                                width: number;
                                                height: number;
                                                mimeType: string;
                                                filesize: number;
                                                filename: string;
                                            };
                                            xlarge: {
                                                url: string;
                                                width: number;
                                                height: number;
                                                mimeType: string;
                                                filesize: number;
                                                filename: string;
                                            };
                                        };
                                    };
                                    theme: {
                                        settings: {
                                            theme: string;
                                            background: string;
                                        };
                                    };
                                    blockName: string;
                                    blockType: string;
                                };
                                format: string;
                                version: number;
                                mode?: undefined;
                                text?: undefined;
                                style?: undefined;
                                detail?: undefined;
                            })[];
                            direction: string;
                            textStyle: string;
                            textFormat: number;
                        }[];
                        direction: string;
                    };
                };
                enableLink: null;
                link: {
                    type: string;
                    newTab: null;
                    url: null;
                    label: null;
                    appearance: string;
                };
            } | {
                id: string;
                size: string;
                richText: {
                    root: {
                        type: string;
                        format: string;
                        indent: number;
                        version: number;
                        children: ({
                            tag: string;
                            type: string;
                            format: string;
                            indent: number;
                            version: number;
                            children: {
                                mode: string;
                                text: string;
                                type: string;
                                style: string;
                                detail: number;
                                format: number;
                                version: number;
                            }[];
                            direction: string;
                            textStyle?: undefined;
                            textFormat?: undefined;
                        } | {
                            type: string;
                            format: string;
                            indent: number;
                            version: number;
                            children: {
                                mode: string;
                                text: string;
                                type: string;
                                style: string;
                                detail: number;
                                format: number;
                                version: number;
                            }[];
                            direction: string;
                            textStyle: string;
                            textFormat: number;
                            tag?: undefined;
                        } | {
                            type: string;
                            format: string;
                            indent: number;
                            version: number;
                            children: never[];
                            direction: null;
                            textStyle: string;
                            textFormat: number;
                            tag?: undefined;
                        })[];
                        direction: string;
                    };
                };
                enableLink: null;
                link: {
                    type: string;
                    newTab: null;
                    url: null;
                    label: null;
                    appearance: string;
                };
            })[];
            blockType: string;
            theme: {
                settings: {
                    theme: string;
                    background: string;
                    overlay: boolean;
                };
            };
        };
        halfWithFeature: {
            id: string;
            blockName: null;
            columns: ({
                id: string;
                size: string;
                richText: {
                    root: {
                        type: string;
                        format: string;
                        indent: number;
                        version: number;
                        children: ({
                            type: string;
                            format: string;
                            indent: number;
                            version: number;
                            children: {
                                mode: string;
                                text: string;
                                type: string;
                                style: string;
                                detail: number;
                                format: number;
                                version: number;
                            }[];
                            direction: string;
                            textStyle: string;
                            textFormat: number;
                            fields?: undefined;
                        } | {
                            type: string;
                            fields: {
                                id: string;
                                theme: {
                                    settings: {
                                        theme: string;
                                        background: string;
                                    };
                                };
                                features: {
                                    id: string;
                                    icon: {
                                        icon: string;
                                        type: string;
                                    };
                                    link: {
                                        type: string;
                                    };
                                    title: string;
                                    content: {
                                        root: {
                                            type: string;
                                            format: string;
                                            indent: number;
                                            version: number;
                                            children: {
                                                type: string;
                                                format: string;
                                                indent: number;
                                                version: number;
                                                children: {
                                                    mode: string;
                                                    text: string;
                                                    type: string;
                                                    style: string;
                                                    detail: number;
                                                    format: number;
                                                    version: number;
                                                }[];
                                                direction: string;
                                                textStyle: string;
                                                textFormat: number;
                                            }[];
                                            direction: string;
                                        };
                                    };
                                    settings: {
                                        card: string;
                                        iconSize: string;
                                    };
                                }[];
                                blockName: string;
                                blockType: string;
                                description: {
                                    root: {
                                        type: string;
                                        format: string;
                                        indent: number;
                                        version: number;
                                        children: {
                                            type: string;
                                            format: string;
                                            indent: number;
                                            version: number;
                                            children: {
                                                mode: string;
                                                text: string;
                                                type: string;
                                                style: string;
                                                detail: number;
                                                format: number;
                                                version: number;
                                            }[];
                                            direction: string;
                                            textStyle: string;
                                            textFormat: number;
                                        }[];
                                        direction: string;
                                    };
                                };
                            };
                            format: string;
                            version: number;
                            indent?: undefined;
                            children?: undefined;
                            direction?: undefined;
                            textStyle?: undefined;
                            textFormat?: undefined;
                        })[];
                        direction: string;
                    };
                };
                enableLink: null;
                link: {
                    type: string;
                    newTab: null;
                    url: null;
                    label: null;
                    appearance: string;
                };
            } | {
                id: string;
                size: string;
                richText: {
                    root: {
                        type: string;
                        format: string;
                        indent: number;
                        version: number;
                        children: ({
                            tag: string;
                            type: string;
                            format: string;
                            indent: number;
                            version: number;
                            children: {
                                mode: string;
                                text: string;
                                type: string;
                                style: string;
                                detail: number;
                                format: number;
                                version: number;
                            }[];
                            direction: string;
                            textStyle?: undefined;
                            textFormat?: undefined;
                        } | {
                            type: string;
                            format: string;
                            indent: number;
                            version: number;
                            children: {
                                mode: string;
                                text: string;
                                type: string;
                                style: string;
                                detail: number;
                                format: number;
                                version: number;
                            }[];
                            direction: string;
                            textStyle: string;
                            textFormat: number;
                            tag?: undefined;
                        } | {
                            type: string;
                            format: string;
                            indent: number;
                            version: number;
                            children: never[];
                            direction: null;
                            textStyle: string;
                            textFormat: number;
                            tag?: undefined;
                        })[];
                        direction: string;
                    };
                };
                enableLink: null;
                link: {
                    type: string;
                    newTab: null;
                    url: null;
                    label: null;
                    appearance: string;
                };
            })[];
            blockType: string;
            theme: {
                settings: {
                    theme: string;
                    background: string;
                    overlay: boolean;
                };
            };
        };
        oneThirdWithImageThemeLong: {
            id: string;
            blockName: null;
            columns: {
                id: string;
                size: string;
                richText: {
                    root: {
                        type: string;
                        format: string;
                        indent: number;
                        version: number;
                        children: ({
                            type: string;
                            format: string;
                            indent: number;
                            version: number;
                            children: {
                                mode: string;
                                text: string;
                                type: string;
                                style: string;
                                detail: number;
                                format: number;
                                version: number;
                            }[];
                            direction: string;
                            textStyle: string;
                            textFormat: number;
                        } | {
                            type: string;
                            format: string;
                            indent: number;
                            version: number;
                            children: never[];
                            direction: null;
                            textStyle: string;
                            textFormat: number;
                        })[];
                        direction: string;
                    };
                };
                enableLink: null;
                link: {
                    type: string;
                    newTab: null;
                    url: null;
                    label: null;
                    appearance: string;
                };
            }[];
            blockType: string;
            theme: {
                settings: {
                    theme: string;
                    background: string;
                    overlay: boolean;
                    image: {
                        id: number;
                        alt: null;
                        prefix: string;
                        updatedAt: string;
                        createdAt: string;
                        url: string;
                        thumbnailURL: string;
                        filename: string;
                        mimeType: string;
                        filesize: number;
                        width: number;
                        height: number;
                        focalX: number;
                        focalY: number;
                    };
                };
            };
        };
        oneThirdWithImageThemeShort: {
            id: string;
            blockName: null;
            columns: {
                id: string;
                size: string;
                richText: {
                    root: {
                        type: string;
                        format: string;
                        indent: number;
                        version: number;
                        children: {
                            type: string;
                            format: string;
                            indent: number;
                            version: number;
                            children: {
                                mode: string;
                                text: string;
                                type: string;
                                style: string;
                                detail: number;
                                format: number;
                                version: number;
                            }[];
                            direction: string;
                            textStyle: string;
                            textFormat: number;
                        }[];
                        direction: string;
                    };
                };
                enableLink: null;
                link: {
                    type: string;
                    newTab: null;
                    url: null;
                    label: null;
                    appearance: string;
                };
            }[];
            blockType: string;
            theme: {
                settings: {
                    theme: string;
                    background: string;
                    overlay: boolean;
                    image: {
                        id: number;
                        alt: null;
                        prefix: string;
                        updatedAt: string;
                        createdAt: string;
                        url: string;
                        thumbnailURL: string;
                        filename: string;
                        mimeType: string;
                        filesize: number;
                        width: number;
                        height: number;
                        focalX: number;
                        focalY: number;
                    };
                };
            };
        };
        oneThirdWithImageTheme3Collumns: {
            id: string;
            blockName: null;
            columns: {
                id: string;
                size: string;
                richText: {
                    root: {
                        type: string;
                        format: string;
                        indent: number;
                        version: number;
                        children: {
                            type: string;
                            format: string;
                            indent: number;
                            version: number;
                            children: {
                                mode: string;
                                text: string;
                                type: string;
                                style: string;
                                detail: number;
                                format: number;
                                version: number;
                            }[];
                            direction: string;
                            textStyle: string;
                            textFormat: number;
                        }[];
                        direction: string;
                    };
                };
                enableLink: null;
                link: {
                    type: string;
                    newTab: null;
                    url: null;
                    label: null;
                    appearance: string;
                };
            }[];
            blockType: string;
            theme: {
                settings: {
                    theme: string;
                    background: string;
                    overlay: boolean;
                    image: {
                        id: number;
                        alt: null;
                        prefix: string;
                        updatedAt: string;
                        createdAt: string;
                        url: string;
                        thumbnailURL: string;
                        filename: string;
                        mimeType: string;
                        filesize: number;
                        width: number;
                        height: number;
                        focalX: number;
                        focalY: number;
                    };
                };
            };
        };
        headerAndTheme3Collumns: {
            id: string;
            blockName: null;
            columns: {
                id: string;
                size: string;
                richText: {
                    root: {
                        type: string;
                        format: string;
                        indent: number;
                        version: number;
                        children: ({
                            tag: string;
                            type: string;
                            format: string;
                            indent: number;
                            version: number;
                            children: {
                                mode: string;
                                text: string;
                                type: string;
                                style: string;
                                detail: number;
                                format: number;
                                version: number;
                            }[];
                            direction: string;
                            textStyle?: undefined;
                            textFormat?: undefined;
                        } | {
                            type: string;
                            format: string;
                            indent: number;
                            version: number;
                            children: {
                                mode: string;
                                text: string;
                                type: string;
                                style: string;
                                detail: number;
                                format: number;
                                version: number;
                            }[];
                            direction: string;
                            textStyle: string;
                            textFormat: number;
                            tag?: undefined;
                        } | {
                            type: string;
                            format: string;
                            indent: number;
                            version: number;
                            children: never[];
                            direction: null;
                            textStyle: string;
                            textFormat: number;
                            tag?: undefined;
                        })[];
                        direction: string;
                    };
                };
                enableLink: null;
                link: {
                    type: string;
                    newTab: null;
                    url: null;
                    label: null;
                    appearance: string;
                };
            }[];
            blockType: string;
            theme: {
                settings: {
                    theme: string;
                    background: string;
                    overlay: boolean;
                    image: {
                        id: number;
                        alt: null;
                        prefix: string;
                        updatedAt: string;
                        createdAt: string;
                        url: string;
                        thumbnailURL: string;
                        filename: string;
                        mimeType: string;
                        filesize: number;
                        width: number;
                        height: number;
                        focalX: number;
                        focalY: number;
                    };
                };
            };
        };
        media: {
            id: string;
            media: {
                id: number;
                alt: null;
                prefix: string;
                updatedAt: string;
                createdAt: string;
                url: string;
                thumbnailURL: string;
                filename: string;
                mimeType: string;
                filesize: number;
                width: number;
                height: number;
                focalX: number;
                focalY: number;
                sizes: {
                    thumbnail: {
                        url: string;
                        width: number;
                        height: number;
                        mimeType: string;
                        filesize: number;
                        filename: string;
                    };
                    square: {
                        url: string;
                        width: number;
                        height: number;
                        mimeType: string;
                        filesize: number;
                        filename: string;
                    };
                    small: {
                        url: string;
                        width: number;
                        height: number;
                        mimeType: string;
                        filesize: number;
                        filename: string;
                    };
                    medium: {
                        url: string;
                        width: number;
                        height: number;
                        mimeType: string;
                        filesize: number;
                        filename: string;
                    };
                    large: {
                        url: string;
                        width: number;
                        height: number;
                        mimeType: string;
                        filesize: number;
                        filename: string;
                    };
                    xlarge: {
                        url: string;
                        width: number;
                        height: number;
                        mimeType: string;
                        filesize: number;
                        filename: string;
                    };
                };
            };
            blockName: null;
            blockType: string;
        };
        boxesWithThreeColumns: {
            id: string;
            blockName: null;
            columns: {
                id: string;
                size: string;
                richText: {
                    root: {
                        type: string;
                        format: string;
                        indent: number;
                        version: number;
                        children: ({
                            tag: string;
                            type: string;
                            format: string;
                            indent: number;
                            version: number;
                            children: {
                                mode: string;
                                text: string;
                                type: string;
                                style: string;
                                detail: number;
                                format: number;
                                version: number;
                            }[];
                            direction: string;
                            textStyle?: undefined;
                            textFormat?: undefined;
                        } | {
                            type: string;
                            format: string;
                            indent: number;
                            version: number;
                            children: {
                                mode: string;
                                text: string;
                                type: string;
                                style: string;
                                detail: number;
                                format: number;
                                version: number;
                            }[];
                            direction: string;
                            textStyle: string;
                            textFormat: number;
                            tag?: undefined;
                        } | {
                            type: string;
                            format: string;
                            indent: number;
                            version: number;
                            children: never[];
                            direction: null;
                            textStyle: string;
                            textFormat: number;
                            tag?: undefined;
                        })[];
                        direction: string;
                    };
                };
                enableLink: null;
                link: {
                    type: string;
                    newTab: null;
                    url: null;
                    label: null;
                    appearance: string;
                };
            }[];
            blockType: string;
            theme: {
                settings: {
                    theme: string;
                    background: string;
                    overlay: boolean;
                    box: string;
                };
            };
        };
        features: {
            iconWithText: {
                id: string;
                title: string;
                description: null;
                blockName: null;
                features: {
                    id: string;
                    title: string;
                    content: {
                        root: {
                            type: string;
                            format: string;
                            indent: number;
                            version: number;
                            children: {
                                type: string;
                                format: string;
                                indent: number;
                                version: number;
                                children: {
                                    mode: string;
                                    text: string;
                                    type: string;
                                    style: string;
                                    detail: number;
                                    format: number;
                                    version: number;
                                }[];
                                direction: string;
                                textStyle: string;
                                textFormat: number;
                            }[];
                            direction: string;
                        };
                    };
                    link: {
                        type: string;
                        newTab: null;
                        url: null;
                    };
                    icon: {
                        type: string;
                        icon: string;
                    };
                }[];
                blockType: string;
                theme: {
                    settings: {
                        theme: string;
                        background: string;
                    };
                };
            };
        };
        complex: {
            id: number;
            title: string;
            hero: {
                type: string;
                richText: {
                    root: {
                        type: string;
                        format: string;
                        indent: number;
                        version: number;
                        children: {
                            type: string;
                            format: string;
                            indent: number;
                            version: number;
                            children: {
                                mode: string;
                                text: string;
                                type: string;
                                style: string;
                                detail: number;
                                format: number;
                                version: number;
                            }[];
                            direction: string;
                            textStyle: string;
                            textFormat: number;
                        }[];
                        direction: string;
                    };
                };
                links: never[];
                media: null;
            };
            layout: {
                id: string;
                blockName: string;
                columns: ({
                    id: string;
                    size: string;
                    richText: {
                        root: {
                            type: string;
                            format: string;
                            indent: number;
                            version: number;
                            children: ({
                                tag: string;
                                type: string;
                                format: string;
                                indent: number;
                                version: number;
                                children: {
                                    mode: string;
                                    text: string;
                                    type: string;
                                    style: string;
                                    detail: number;
                                    format: number;
                                    version: number;
                                }[];
                                direction: string;
                                textStyle?: undefined;
                                textFormat?: undefined;
                            } | {
                                type: string;
                                format: string;
                                indent: number;
                                version: number;
                                children: {
                                    mode: string;
                                    text: string;
                                    type: string;
                                    style: string;
                                    detail: number;
                                    format: number;
                                    version: number;
                                }[];
                                direction: string;
                                textStyle: string;
                                textFormat: number;
                                tag?: undefined;
                            })[];
                            direction: string;
                        };
                    };
                    enableLink: null;
                    link: {
                        type: string;
                        newTab: null;
                        url: null;
                        label: null;
                        appearance: string;
                    };
                } | {
                    id: string;
                    size: string;
                    richText: {
                        root: {
                            type: string;
                            format: string;
                            indent: number;
                            version: number;
                            children: ({
                                type: string;
                                format: string;
                                indent: number;
                                version: number;
                                children: {
                                    mode: string;
                                    text: string;
                                    type: string;
                                    style: string;
                                    detail: number;
                                    format: number;
                                    version: number;
                                }[];
                                direction: string;
                                textStyle: string;
                                textFormat: number;
                                fields?: undefined;
                            } | {
                                type: string;
                                fields: {
                                    id: string;
                                    theme: {
                                        settings: {
                                            theme: string;
                                            background: string;
                                        };
                                    };
                                    features: {
                                        id: string;
                                        icon: {
                                            icon: string;
                                            type: string;
                                        };
                                        link: {
                                            type: string;
                                        };
                                        title: string;
                                        content: {
                                            root: {
                                                type: string;
                                                format: string;
                                                indent: number;
                                                version: number;
                                                children: {
                                                    type: string;
                                                    format: string;
                                                    indent: number;
                                                    version: number;
                                                    children: {
                                                        mode: string;
                                                        text: string;
                                                        type: string;
                                                        style: string;
                                                        detail: number;
                                                        format: number;
                                                        version: number;
                                                    }[];
                                                    direction: string;
                                                    textStyle: string;
                                                    textFormat: number;
                                                }[];
                                                direction: string;
                                            };
                                        };
                                        settings: {
                                            card: string;
                                            iconSize: string;
                                        };
                                    }[];
                                    blockName: string;
                                    blockType: string;
                                };
                                format: string;
                                version: number;
                                indent?: undefined;
                                children?: undefined;
                                direction?: undefined;
                                textStyle?: undefined;
                                textFormat?: undefined;
                            })[];
                            direction: string;
                        };
                    };
                    enableLink: null;
                    link: {
                        type: string;
                        newTab: null;
                        url: null;
                        label: null;
                        appearance: string;
                    };
                } | {
                    id: string;
                    size: string;
                    richText: {
                        root: {
                            type: string;
                            format: string;
                            indent: number;
                            version: number;
                            children: ({
                                type: string;
                                format: string;
                                indent: number;
                                version: number;
                                children: never[];
                                direction: null;
                                textStyle: string;
                                textFormat: number;
                                fields?: undefined;
                            } | {
                                type: string;
                                fields: {
                                    id: string;
                                    theme: {
                                        settings: {
                                            theme: string;
                                            background: string;
                                        };
                                    };
                                    title: string;
                                    features: {
                                        id: string;
                                        icon: {
                                            icon: string;
                                            type: string;
                                        };
                                        link: {
                                            type: string;
                                        };
                                        title: string;
                                        content: {
                                            root: {
                                                type: string;
                                                format: string;
                                                indent: number;
                                                version: number;
                                                children: {
                                                    type: string;
                                                    format: string;
                                                    indent: number;
                                                    version: number;
                                                    children: {
                                                        mode: string;
                                                        text: string;
                                                        type: string;
                                                        style: string;
                                                        detail: number;
                                                        format: number;
                                                        version: number;
                                                    }[];
                                                    direction: string;
                                                    textStyle: string;
                                                    textFormat: number;
                                                }[];
                                                direction: string;
                                            };
                                        };
                                        settings: {
                                            card: string;
                                            iconSize: string;
                                        };
                                    }[];
                                    blockName: string;
                                    blockType: string;
                                };
                                format: string;
                                version: number;
                                indent?: undefined;
                                children?: undefined;
                                direction?: undefined;
                                textStyle?: undefined;
                                textFormat?: undefined;
                            })[];
                            direction: null;
                        };
                    };
                    enableLink: null;
                    link: {
                        type: string;
                        newTab: null;
                        url: null;
                        label: null;
                        appearance: string;
                    };
                })[];
                blockType: string;
                theme: {
                    settings: {
                        theme: string;
                        background: string;
                        image: {
                            id: number;
                            alt: string;
                            prefix: string;
                            updatedAt: string;
                            createdAt: string;
                            url: string;
                            thumbnailURL: string;
                            filename: string;
                            mimeType: string;
                            filesize: number;
                            width: number;
                            height: number;
                            focalX: number;
                            focalY: number;
                            sizes: {
                                thumbnail: {
                                    url: string;
                                    width: number;
                                    height: number;
                                    mimeType: string;
                                    filesize: number;
                                    filename: string;
                                };
                                square: {
                                    url: string;
                                    width: number;
                                    height: number;
                                    mimeType: string;
                                    filesize: number;
                                    filename: string;
                                };
                                small: {
                                    url: string;
                                    width: number;
                                    height: number;
                                    mimeType: string;
                                    filesize: number;
                                    filename: string;
                                };
                                medium: {
                                    url: string;
                                    width: number;
                                    height: number;
                                    mimeType: string;
                                    filesize: number;
                                    filename: string;
                                };
                                large: {
                                    url: string;
                                    width: number;
                                    height: number;
                                    mimeType: string;
                                    filesize: number;
                                    filename: string;
                                };
                                xlarge: {
                                    url: string;
                                    width: number;
                                    height: number;
                                    mimeType: string;
                                    filesize: number;
                                    filename: string;
                                };
                            };
                        };
                        overlay: boolean;
                        box: string;
                    };
                };
            }[];
            meta: {
                title: null;
                image: null;
                description: null;
            };
            publishedAt: string;
            links: never[];
            slug: string;
            slugLock: boolean;
            updatedAt: string;
            createdAt: string;
            _status: string;
        };
    };
};
export declare const HeroTest: {
    highImpactSimple: {
        type: string;
        richText: {
            root: {
                type: string;
                format: string;
                indent: number;
                version: number;
                children: ({
                    tag: string;
                    type: string;
                    format: string;
                    indent: number;
                    version: number;
                    children: {
                        mode: string;
                        text: string;
                        type: string;
                        style: string;
                        detail: number;
                        format: number;
                        version: number;
                    }[];
                    direction: string;
                    textStyle?: undefined;
                    textFormat?: undefined;
                } | {
                    type: string;
                    format: string;
                    indent: number;
                    version: number;
                    children: {
                        mode: string;
                        text: string;
                        type: string;
                        style: string;
                        detail: number;
                        format: number;
                        version: number;
                    }[];
                    direction: string;
                    textStyle: string;
                    textFormat: number;
                    tag?: undefined;
                })[];
                direction: string;
            };
        };
        links: never[];
        media: {
            id: number;
            alt: string;
            prefix: string;
            updatedAt: string;
            createdAt: string;
            url: string;
            thumbnailURL: string;
            filename: string;
            mimeType: string;
            filesize: number;
            width: number;
            height: number;
            focalX: number;
            focalY: number;
            sizes: {
                thumbnail: {
                    url: string;
                    width: number;
                    height: number;
                    mimeType: string;
                    filesize: number;
                    filename: string;
                };
                square: {
                    url: string;
                    width: number;
                    height: number;
                    mimeType: string;
                    filesize: number;
                    filename: string;
                };
                small: {
                    url: string;
                    width: number;
                    height: number;
                    mimeType: string;
                    filesize: number;
                    filename: string;
                };
                medium: {
                    url: string;
                    width: number;
                    height: number;
                    mimeType: string;
                    filesize: number;
                    filename: string;
                };
                large: {
                    url: string;
                    width: number;
                    height: number;
                    mimeType: string;
                    filesize: number;
                    filename: string;
                };
                xlarge: {
                    url: string;
                    width: number;
                    height: number;
                    mimeType: string;
                    filesize: number;
                    filename: string;
                };
            };
        };
    };
};
export declare const PagesTest: {
    digitalColleaguesOverview: {
        id: number;
        title: string;
        hero: {
            type: string;
            richText: {
                root: {
                    type: string;
                    format: string;
                    indent: number;
                    version: number;
                    children: {
                        tag: string;
                        type: string;
                        format: string;
                        indent: number;
                        version: number;
                        children: {
                            mode: string;
                            text: string;
                            type: string;
                            style: string;
                            detail: number;
                            format: number;
                            version: number;
                        }[];
                        direction: string;
                    }[];
                    direction: string;
                };
            };
            links: never[];
            media: {
                id: number;
                alt: string;
                prefix: string;
                updatedAt: string;
                createdAt: string;
                url: string;
                thumbnailURL: string;
                filename: string;
                mimeType: string;
                filesize: number;
                width: number;
                height: number;
                focalX: number;
                focalY: number;
                sizes: {
                    thumbnail: {
                        url: string;
                        width: number;
                        height: number;
                        mimeType: string;
                        filesize: number;
                        filename: string;
                    };
                    square: {
                        url: string;
                        width: number;
                        height: number;
                        mimeType: string;
                        filesize: number;
                        filename: string;
                    };
                    small: {
                        url: string;
                        width: number;
                        height: number;
                        mimeType: string;
                        filesize: number;
                        filename: string;
                    };
                    medium: {
                        url: string;
                        width: number;
                        height: number;
                        mimeType: string;
                        filesize: number;
                        filename: string;
                    };
                    large: {
                        url: string;
                        width: number;
                        height: number;
                        mimeType: string;
                        filesize: number;
                        filename: string;
                    };
                    xlarge: {
                        url: string;
                        width: number;
                        height: number;
                        mimeType: string;
                        filesize: number;
                        filename: string;
                    };
                };
            };
        };
        layout: {
            id: string;
            reusableContent: {
                id: number;
                title: string;
                hero: {
                    type: string;
                    richText: {
                        root: {
                            type: string;
                            format: string;
                            indent: number;
                            version: number;
                            children: ({
                                tag: string;
                                type: string;
                                format: string;
                                indent: number;
                                version: number;
                                children: {
                                    mode: string;
                                    text: string;
                                    type: string;
                                    style: string;
                                    detail: number;
                                    format: number;
                                    version: number;
                                }[];
                                direction: string;
                                textStyle?: undefined;
                                textFormat?: undefined;
                            } | {
                                type: string;
                                format: string;
                                indent: number;
                                version: number;
                                children: never[];
                                direction: null;
                                textStyle: string;
                                textFormat: number;
                                tag?: undefined;
                            })[];
                            direction: string;
                        };
                    };
                    links: never[];
                    media: number;
                };
                layout: ({
                    id: string;
                    blockName: string;
                    columns: {
                        id: string;
                        size: string;
                        richText: {
                            root: {
                                type: string;
                                format: string;
                                indent: number;
                                version: number;
                                children: ({
                                    tag: string;
                                    type: string;
                                    format: string;
                                    indent: number;
                                    version: number;
                                    children: {
                                        mode: string;
                                        text: string;
                                        type: string;
                                        style: string;
                                        detail: number;
                                        format: number;
                                        version: number;
                                    }[];
                                    direction: string;
                                    textStyle?: undefined;
                                    textFormat?: undefined;
                                    fields?: undefined;
                                } | {
                                    type: string;
                                    format: string;
                                    indent: number;
                                    version: number;
                                    children: never[];
                                    direction: string;
                                    textStyle: string;
                                    textFormat: number;
                                    tag?: undefined;
                                    fields?: undefined;
                                } | {
                                    type: string;
                                    fields: {
                                        id: string;
                                        theme: {
                                            settings: {
                                                theme: string;
                                                background: string;
                                            };
                                        };
                                        features: {
                                            id: string;
                                            icon: {
                                                icon: string;
                                                type: string;
                                            };
                                            link: {
                                                type: string;
                                            };
                                            title: string;
                                            content: {
                                                root: {
                                                    type: string;
                                                    format: string;
                                                    indent: number;
                                                    version: number;
                                                    children: {
                                                        type: string;
                                                        format: string;
                                                        indent: number;
                                                        version: number;
                                                        children: {
                                                            mode: string;
                                                            text: string;
                                                            type: string;
                                                            style: string;
                                                            detail: number;
                                                            format: number;
                                                            version: number;
                                                        }[];
                                                        direction: string;
                                                        textStyle: string;
                                                        textFormat: number;
                                                    }[];
                                                    direction: string;
                                                };
                                            };
                                            settings: {
                                                card: string;
                                                iconSize: string;
                                            };
                                        }[];
                                        blockName: string;
                                        blockType: string;
                                    };
                                    format: string;
                                    version: number;
                                    tag?: undefined;
                                    indent?: undefined;
                                    children?: undefined;
                                    direction?: undefined;
                                    textStyle?: undefined;
                                    textFormat?: undefined;
                                })[];
                                direction: string;
                            };
                        };
                        enableLink: null;
                        link: {
                            type: string;
                            newTab: null;
                            url: null;
                            label: null;
                            appearance: string;
                        };
                    }[];
                    blockType: string;
                    theme: {
                        settings: {
                            theme: string;
                            background: string;
                            image: null;
                            overlay: null;
                            box: string;
                        };
                    };
                } | {
                    id: string;
                    blockName: null;
                    columns: {
                        id: string;
                        size: string;
                        richText: {
                            root: {
                                type: string;
                                format: string;
                                indent: number;
                                version: number;
                                children: {
                                    type: string;
                                    fields: {
                                        id: string;
                                        theme: {
                                            settings: {
                                                theme: string;
                                                background: string;
                                            };
                                        };
                                        features: {
                                            id: string;
                                            icon: {
                                                icon: string;
                                                type: string;
                                            };
                                            link: {
                                                type: string;
                                            };
                                            title: string;
                                            content: {
                                                root: {
                                                    type: string;
                                                    format: string;
                                                    indent: number;
                                                    version: number;
                                                    children: {
                                                        type: string;
                                                        format: string;
                                                        indent: number;
                                                        version: number;
                                                        children: {
                                                            mode: string;
                                                            text: string;
                                                            type: string;
                                                            style: string;
                                                            detail: number;
                                                            format: number;
                                                            version: number;
                                                        }[];
                                                        direction: string;
                                                        textStyle: string;
                                                        textFormat: number;
                                                    }[];
                                                    direction: string;
                                                };
                                            };
                                            settings: {
                                                card: string;
                                                iconSize: string;
                                            };
                                        }[];
                                        blockName: string;
                                        blockType: string;
                                    };
                                    format: string;
                                    version: number;
                                }[];
                                direction: null;
                            };
                        };
                        enableLink: null;
                        link: {
                            type: string;
                            newTab: null;
                            url: null;
                            label: null;
                            appearance: string;
                        };
                    }[];
                    blockType: string;
                    theme: {
                        settings: {
                            theme: string;
                            background: string;
                            image: null;
                            overlay: null;
                            box: string;
                        };
                    };
                } | {
                    id: string;
                    blockName: string;
                    columns: {
                        id: string;
                        size: string;
                        richText: {
                            root: {
                                type: string;
                                format: string;
                                indent: number;
                                version: number;
                                children: ({
                                    tag: string;
                                    type: string;
                                    format: string;
                                    indent: number;
                                    version: number;
                                    children: {
                                        mode: string;
                                        text: string;
                                        type: string;
                                        style: string;
                                        detail: number;
                                        format: number;
                                        version: number;
                                    }[];
                                    direction: string;
                                    textStyle?: undefined;
                                    textFormat?: undefined;
                                    start?: undefined;
                                    listType?: undefined;
                                } | {
                                    type: string;
                                    format: string;
                                    indent: number;
                                    version: number;
                                    children: {
                                        mode: string;
                                        text: string;
                                        type: string;
                                        style: string;
                                        detail: number;
                                        format: number;
                                        version: number;
                                    }[];
                                    direction: string;
                                    textStyle: string;
                                    textFormat: number;
                                    tag?: undefined;
                                    start?: undefined;
                                    listType?: undefined;
                                } | {
                                    tag: string;
                                    type: string;
                                    start: number;
                                    format: string;
                                    indent: number;
                                    version: number;
                                    children: {
                                        type: string;
                                        value: number;
                                        format: string;
                                        indent: number;
                                        version: number;
                                        children: {
                                            mode: string;
                                            text: string;
                                            type: string;
                                            style: string;
                                            detail: number;
                                            format: number;
                                            version: number;
                                        }[];
                                        direction: string;
                                    }[];
                                    listType: string;
                                    direction: string;
                                    textStyle?: undefined;
                                    textFormat?: undefined;
                                })[];
                                direction: string;
                            };
                        };
                        enableLink: null;
                        link: {
                            type: string;
                            newTab: null;
                            url: null;
                            label: null;
                            appearance: string;
                        };
                    }[];
                    blockType: string;
                    theme: {
                        settings: {
                            theme: string;
                            background: string;
                            image: {
                                id: number;
                                alt: string;
                                prefix: string;
                                updatedAt: string;
                                createdAt: string;
                                url: string;
                                thumbnailURL: string;
                                filename: string;
                                mimeType: string;
                                filesize: number;
                                width: number;
                                height: number;
                                focalX: number;
                                focalY: number;
                                sizes: {
                                    thumbnail: {
                                        url: string;
                                        width: number;
                                        height: number;
                                        mimeType: string;
                                        filesize: number;
                                        filename: string;
                                    };
                                    square: {
                                        url: string;
                                        width: number;
                                        height: number;
                                        mimeType: string;
                                        filesize: number;
                                        filename: string;
                                    };
                                    small: {
                                        url: string;
                                        width: number;
                                        height: number;
                                        mimeType: string;
                                        filesize: number;
                                        filename: string;
                                    };
                                    medium: {
                                        url: string;
                                        width: number;
                                        height: number;
                                        mimeType: string;
                                        filesize: number;
                                        filename: string;
                                    };
                                    large: {
                                        url: string;
                                        width: number;
                                        height: number;
                                        mimeType: string;
                                        filesize: number;
                                        filename: string;
                                    };
                                    xlarge: {
                                        url: string;
                                        width: number;
                                        height: number;
                                        mimeType: string;
                                        filesize: number;
                                        filename: string;
                                    };
                                };
                            };
                            overlay: boolean;
                            box: string;
                        };
                    };
                } | {
                    id: string;
                    blockName: string;
                    columns: ({
                        id: string;
                        size: string;
                        richText: {
                            root: {
                                type: string;
                                format: string;
                                indent: number;
                                version: number;
                                children: ({
                                    tag: string;
                                    type: string;
                                    format: string;
                                    indent: number;
                                    version: number;
                                    children: {
                                        mode: string;
                                        text: string;
                                        type: string;
                                        style: string;
                                        detail: number;
                                        format: number;
                                        version: number;
                                    }[];
                                    direction: string;
                                    textStyle?: undefined;
                                    textFormat?: undefined;
                                } | {
                                    type: string;
                                    format: string;
                                    indent: number;
                                    version: number;
                                    children: {
                                        mode: string;
                                        text: string;
                                        type: string;
                                        style: string;
                                        detail: number;
                                        format: number;
                                        version: number;
                                    }[];
                                    direction: string;
                                    textStyle: string;
                                    textFormat: number;
                                    tag?: undefined;
                                })[];
                                direction: string;
                            };
                        };
                        enableLink: null;
                        link: {
                            type: string;
                            newTab: null;
                            url: null;
                            label: null;
                            appearance: string;
                        };
                    } | {
                        id: string;
                        size: string;
                        richText: {
                            root: {
                                type: string;
                                format: string;
                                indent: number;
                                version: number;
                                children: ({
                                    type: string;
                                    format: string;
                                    indent: number;
                                    version: number;
                                    children: never[];
                                    direction: null;
                                    textStyle: string;
                                    textFormat: number;
                                    fields?: undefined;
                                } | {
                                    type: string;
                                    fields: {
                                        id: string;
                                        theme: {
                                            settings: {
                                                theme: string;
                                                background: string;
                                            };
                                        };
                                        title: string;
                                        features: {
                                            id: string;
                                            icon: {
                                                icon: string;
                                                type: string;
                                            };
                                            link: {
                                                type: string;
                                            };
                                            title: string;
                                            content: {
                                                root: {
                                                    type: string;
                                                    format: string;
                                                    indent: number;
                                                    version: number;
                                                    children: {
                                                        type: string;
                                                        format: string;
                                                        indent: number;
                                                        version: number;
                                                        children: {
                                                            mode: string;
                                                            text: string;
                                                            type: string;
                                                            style: string;
                                                            detail: number;
                                                            format: number;
                                                            version: number;
                                                        }[];
                                                        direction: string;
                                                        textStyle: string;
                                                        textFormat: number;
                                                    }[];
                                                    direction: string;
                                                };
                                            };
                                            settings: {
                                                card: string;
                                                iconSize: string;
                                            };
                                        }[];
                                        blockName: string;
                                        blockType: string;
                                    };
                                    format: string;
                                    version: number;
                                    indent?: undefined;
                                    children?: undefined;
                                    direction?: undefined;
                                    textStyle?: undefined;
                                    textFormat?: undefined;
                                })[];
                                direction: null;
                            };
                        };
                        enableLink: null;
                        link: {
                            type: string;
                            newTab: null;
                            url: null;
                            label: null;
                            appearance: string;
                        };
                    })[];
                    blockType: string;
                    theme: {
                        settings: {
                            theme: string;
                            background: string;
                            image: {
                                id: number;
                                alt: string;
                                prefix: string;
                                updatedAt: string;
                                createdAt: string;
                                url: string;
                                thumbnailURL: string;
                                filename: string;
                                mimeType: string;
                                filesize: number;
                                width: number;
                                height: number;
                                focalX: number;
                                focalY: number;
                                sizes: {
                                    thumbnail: {
                                        url: string;
                                        width: number;
                                        height: number;
                                        mimeType: string;
                                        filesize: number;
                                        filename: string;
                                    };
                                    square: {
                                        url: string;
                                        width: number;
                                        height: number;
                                        mimeType: string;
                                        filesize: number;
                                        filename: string;
                                    };
                                    small: {
                                        url: string;
                                        width: number;
                                        height: number;
                                        mimeType: string;
                                        filesize: number;
                                        filename: string;
                                    };
                                    medium: {
                                        url: string;
                                        width: number;
                                        height: number;
                                        mimeType: string;
                                        filesize: number;
                                        filename: string;
                                    };
                                    large: {
                                        url: string;
                                        width: number;
                                        height: number;
                                        mimeType: string;
                                        filesize: number;
                                        filename: string;
                                    };
                                    xlarge: {
                                        url: string;
                                        width: number;
                                        height: number;
                                        mimeType: string;
                                        filesize: number;
                                        filename: string;
                                    };
                                };
                            };
                            overlay: boolean;
                            box: string;
                        };
                    };
                })[];
                meta: {
                    title: null;
                    image: null;
                    description: null;
                };
                publishedAt: string;
                links: never[];
                slug: string;
                slugLock: boolean;
                updatedAt: string;
                createdAt: string;
                _status: string;
            };
            customId: null;
            blockName: null;
            blockType: string;
        }[];
        meta: {
            title: null;
            image: null;
            description: null;
        };
        publishedAt: string;
        links: never[];
        slug: string;
        slugLock: boolean;
        parent: null;
        breadcrumbs: {
            id: string;
            doc: number;
            url: null;
            label: string;
        }[];
        updatedAt: string;
        createdAt: string;
        _status: string;
    };
};
